//COMPRAS
const inputBuscarCodigo = document.querySelector('#buscarProductoCodigo');
const inputBuscarNombre = document.querySelector('#buscarProductoNombre');

const inputBuscarProductoVentaNombre = document.querySelector('#buscarProductoVentaNombre');

const barcode = document.querySelector('#barcode');

const nombre = document.querySelector('#nombre');

const barcodeVenta = document.querySelector('#barcodeVenta');

const nombreVenta = document.querySelector('#nombreVenta');

const containerCodigo = document.querySelector('#containerCodigo');

const containerNombre = document.querySelector('#containerNombre');

const containerCodigoVenta = document.querySelector('#containerCodigoVenta');

const containerNombreVenta = document.querySelector('#containerNombreVenta');

const tipoBusqueda = document.querySelector('#tipoBusqueda');

const tipoPrecio = document.querySelector('#tipoPrecio');



const errorBusqueda = document.querySelector('#errorBusqueda');



const btnAccion = document.querySelector('#btnAccion');

const totalPagar = document.querySelector('#totalPagar');



const tipoVista = document.querySelectorAll('.tipo-vista');

const pantalla = tipoVista[0].getAttribute('tipo-vista');

    /*for (let i = 0; i < lista.length; i++) {

        lista[i].addEventListener('click', function () {

            let idProducto = lista[i].getAttribute('data-id');

            console.log(idProducto);

            eliminarProducto(idProducto);

        });

    }*/





//para filtro por rango de fechas

const desde = document.querySelector('#desde');

const hasta = document.querySelector('#hasta');



let listaCarrito, tblHistorial;



document.addEventListener('DOMContentLoaded', function () {

    //comprobar productos en localStorage

    if (localStorage.getItem(nombreKey) != null) {

        listaCarrito = JSON.parse(localStorage.getItem(nombreKey));

    }

    //mostrar input para la busqueda por nombre

    /*nombre.addEventListener('click', function () {

        containerCodigo.classList.add('d-none');

        containerNombre.classList.remove('d-none');



        inputBuscarNombre.value = '';

        errorBusqueda.textContent = '';

        inputBuscarNombre.focus();

    })*/

    //mostrar input para la busqueda por nombre de producto de venta

    nombre.addEventListener('click', function () {

        containerCodigo.classList.add('d-none');

        containerNombre.classList.remove('d-none');

        //containerCodigoVenta.classList.add('d-none');

        //containerNombreVenta.classList.remove('d-none');



        inputBuscarNombre.value = '';

        //inputBuscarProductoVentaNombre = '';

        errorBusqueda.textContent = '';

        inputBuscarNombre.focus();

        //inputBuscarProductoVentaNombre.focus();

    })

    //mostrar input para la busqueda por codigo

    barcode.addEventListener('click', function () {
        containerNombre.classList.add('d-none');
        containerCodigo.classList.remove('d-none');
        inputBuscarCodigo.value = '';
        errorBusqueda.textContent = '';
        inputBuscarCodigo.focus();
    })



    inputBuscarCodigo.addEventListener('keyup', function (e) {
        if (e.keyCode === 13) {
        	//alert(pantalla);
            //console.log(e.target.value,pantalla);
            buscarProducto(e.target.value,pantalla);
        }
        return;
    })

    //autocomplete productos para compra y venta

    $("#buscarProductoNombre").autocomplete({

        source: function (request, response) {

            $.ajax({

                url: base_url + 'productos/buscarPorNombre',

                dataType: "json",

                data: {

                    term: request.term,

                    tBusqueda: tipoBusqueda.value,

                    pantalla: pantalla

                },

                success: function (data) {

                    response(data);

                    if (data.length > 0) {

                        errorBusqueda.textContent = '';

                    } else {

                        errorBusqueda.textContent = 'NO HAY PRODUCTO CON ESE NOMBRE';

                    }

                }

            });

        },

        minLength: 2,

        select: function (event, ui) {

        	//alert("compras y ventas");

            console.log(ui.item);

            console.log("producto seleccionado: "+ui.item.stock);

            agregarProducto(ui.item.id, 1, ui.item.stock, ui.item.precio_venta, ui.item.precio_venta2, ui.item.precio_venta3,ui.item.tipo, ui.item.idPadre, ui.item.codigo,pantalla);

            inputBuscarNombre.value = '';

            inputBuscarNombre.focus();

            return false;

        }

    });



    //filtro rango de fechas

    desde.addEventListener('change', function () {

        tblHistorial.draw();

    })

    hasta.addEventListener('change', function () {

        tblHistorial.draw();

    })



    $.fn.dataTable.ext.search.push(

        function (settings, data, dataIndex) {

            var FilterStart = desde.value;

            var FilterEnd = hasta.value;

            var DataTableStart = data[0].trim();

            var DataTableEnd = data[0].trim();

            if (FilterStart == '' || FilterEnd == '') {

                return true;

            }

            if (DataTableStart >= FilterStart && DataTableEnd <= FilterEnd) {

                return true;

            } else {

                return false;

            }



        });



})



function buscarProducto(valor,pantalla) {//variable pantalla identifica compra y venta

	console.log("llego el valor a buscar: "+valor);

    const url = base_url + 'productos/buscarPorCodigo/'+valor+'|'+pantalla;//

    //hacer una instancia del objeto XMLHttpRequest 

    const http = new XMLHttpRequest();

    //Abrir una Conexion - POST - GET

    http.open('GET', url, true);

    //Enviar Datos

    http.send();

    //verificar estados

    http.onreadystatechange = function () {

        if (this.readyState == 4 && this.status == 200) {

            const res = JSON.parse(this.responseText);

            console.log(res);

            errorBusqueda.textContent = '';

            if (res.estado) {//moisesaju

                //agregarProducto(res.datos.id, 1, res.datos.cantidad);//falta trabajarlo

                agregarProducto(res.datos.id, 1, res.datos.stock, res.datos.precio_venta, res.datos.precio_venta2, res.datos.precio_venta3,res.datos.tipo, res.datos.idPadre, res.datos.codigo,pantalla);

                //,res.datos.codigo,res.datos.precio_venta,res.datos.precio_venta2,res.datos.precio_venta3

            }else{

                errorBusqueda.textContent = 'CÓDIGO NO EXISTE';

                //alertaPersonalizada('warning', 'CODIGO NO EXISTE');

            }

            inputBuscarCodigo.value = '';

            inputBuscarCodigo.focus();

        }

    }

}



//agregar productos a localStorage //moisesaju  

function agregarProducto(idProducto, cantidad, stockActual, precio_venta,precio_venta2,precio_venta3,tipo,idPadre,codigo,pantalla) {//, codigo,

	if(pantalla == 'c'){

		if (localStorage.getItem(nombreKey) == null) {

		        listaCarrito = [];

	    } else {

	        console.log("ELSE");

	        if (nombreKey === 'posVenta' || nombreKey === 'posApartados') {

	            let cantidadAgregado = 0;

	            for (let i = 0; i < listaCarrito.length; i++) {

	                if (listaCarrito[i]['id'] == idProducto) {

	                    cantidadAgregado = parseInt(listaCarrito[i]['cantidad']) + parseInt(cantidad);

	                    console.log("CANTIDAD ACTUAL: "+parseInt(listaCarrito[i]['cantidad']));

	                }

	            }

	            console.log("cantidadAgregado: "+cantidadAgregado);

	            console.log("stockActual: "+stockActual);

	            if (cantidadAgregado > stockActual || stockActual == 0) {

	                alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

	                return false;

	            }

	        }

	        for (let i = 0; i < listaCarrito.length; i++) {

	            if (listaCarrito[i]['id'] == idProducto) {

	                listaCarrito[i]['cantidad'] = parseInt(listaCarrito[i]['cantidad']) + 1;

	                listaCarrito[i]['precioVenta'] = precio_venta;//aalizando todavia revisando

	                listaCarrito[i]['precio_venta'] = precio_venta;

	                listaCarrito[i]['precio_venta2'] = precio_venta2;

	                listaCarrito[i]['precio_venta3'] = precio_venta3;

	                localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

	                alertaPersonalizada('success', 'PRODUCTO AGREGADO');

	                mostrarProducto();

	                return;

	            }

	

	        }

	    }

	    listaCarrito.push({

	        id: idProducto,

	        cantidad: cantidad,

	        precioVenta: precio_venta,

	        precio_venta: precio_venta,

	        precio_venta2: precio_venta2,

	        precio_venta3: precio_venta3,

	        tipo: tipo,

	        idPadre: idPadre

	    })

	    localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

	    alertaPersonalizada('success', 'PRODUCTO AGREGADO');

	    mostrarProducto();

	}else{

	    if(stockActual >=1){//if(stockActual >=1){

		    if (localStorage.getItem(nombreKey) == null) {

		        listaCarrito = [];

		    } else {

		        console.log("ELSE");

		        if (nombreKey === 'posVenta' || nombreKey === 'posApartados') {

		            let cantidadAgregado = 0;

		            for (let i = 0; i < listaCarrito.length; i++) {

		                if (listaCarrito[i]['id'] == idProducto) {

		                    cantidadAgregado = parseInt(listaCarrito[i]['cantidad']) + parseInt(cantidad);

		                    console.log("CANTIDAD ACTUAL: "+parseInt(listaCarrito[i]['cantidad']));

		                }

		            }

		            console.log("cantidadAgregado: "+cantidadAgregado);

		            console.log("stockActual: "+stockActual);

		            if (cantidadAgregado > stockActual || stockActual == 0) {

		                alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

		                return false;

		            }

		        }

		        for (let i = 0; i < listaCarrito.length; i++) {

		            if (listaCarrito[i]['id'] == idProducto) {

		                listaCarrito[i]['cantidad'] = parseInt(listaCarrito[i]['cantidad']) + 1;

		                listaCarrito[i]['precioVenta'] = precio_venta;//aalizando todavia revisando

		                listaCarrito[i]['precio_venta'] = precio_venta;

		                listaCarrito[i]['precio_venta2'] = precio_venta2;

		                listaCarrito[i]['precio_venta3'] = precio_venta3;

		                localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

		                alertaPersonalizada('success', 'PRODUCTO AGREGADO');

		                mostrarProducto();

		                return;

		            }

		

		        }

		    }

		    listaCarrito.unshift({

		        id: idProducto,

		        cantidad: cantidad,

		        precioVenta: precio_venta,

		        precio_venta: precio_venta,

		        precio_venta2: precio_venta2,

		        precio_venta3: precio_venta3,

		        tipo: tipo,

		        idPadre: idPadre

		    })

		    localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

		    alertaPersonalizada('success', 'PRODUCTO AGREGADO');

		    mostrarProducto();

	    }else{

	    	alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

	        return false;

	    }

    }

}



//agregar evento click para eliminar

function btnEliminarProducto() {

    let lista = document.querySelectorAll('.btnEliminar');

    let montoTotal = document.querySelector('#totalPagar');

    for (let i = 0; i < lista.length; i++) {

        lista[i].addEventListener('click', function () {

            let idProducto = lista[i].getAttribute('data-id');

            console.log(idProducto);

            montoTotal.value = "";

            eliminarProducto(idProducto);

        });

    }

}

//eliminar productos del table

function eliminarProducto(idProducto) {

    for (let i = 0; i < listaCarrito.length; i++) {

        if (listaCarrito[i]['id'] == idProducto) {

            listaCarrito.splice(i, 1);

        }

    }

    localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

    alertaPersonalizada('success', 'PRODUCTO ELIMINADO');

    mostrarProducto();

}



//agregar eventa change para cambiar el precio de venta

function agregarPrecioVentaRadio() {

    let lista = document.querySelectorAll('.inputPrecioVenta');

    //alert("ingreso");

    for (let i = 0; i < lista.length; i++) {

    	console.log(lista[i]);

        lista[i].addEventListener('click', function () {

        	 Swal.fire({

		        title: 'Desea cambiar el precio de venta a todos los productos,presione Si?',

		        text: "El precio de los productos cambiarán!, si desea cambiar el precio solamente al producto seleccionado haga clic en Cancel.",

		        icon: 'warning',

		        showCancelButton: true,

		        confirmButtonColor: '#3085d6',

		        cancelButtonColor: '#d33',

		        confirmButtonText: 'Si!'

		    }).then((result) => {

		        if (result.isConfirmed) {

		        	for (let x = 0; x < lista.length; x++) {

		        		if(lista[x].value == lista[i].value){

		        			console.log(lista[x].getAttribute('dataprecio-id')+" "+lista[x].getAttribute('precio-pro')+" "+lista[x].value);	

		        			let idProducto = lista[x].getAttribute('dataprecio-id');

				            let precioProducto = lista[x].getAttribute('precio-pro');

				            let indice = lista[x].value;

				            cambiarPrecioVentaRadio(idProducto, precioProducto);

		        		}

		        	}

		            /*const url = base_url + 'ventas/anular/' + idVenta;

		            //hacer una instancia del objeto XMLHttpRequest 

		            const http = new XMLHttpRequest();

		            //Abrir una Conexion - POST - GET

		            http.open('GET', url, true);

		            //Enviar Datos

		            http.send();

		            //verificar estados

		            http.onreadystatechange = function () {

		                if (this.readyState == 4 && this.status == 200) {

		                    const res = JSON.parse(this.responseText);

		                    alertaPersonalizada(res.type, res.msg);

		                    if (res.type == 'success') {

		                        tblHistorial.ajax.reload();

		                    }

		                }

		            }*/

		        }else{

		        	let idProducto = lista[i].getAttribute('dataprecio-id');

		            let precioProducto = lista[i].getAttribute('precio-pro');

		            let indice = lista[i].value;

		            cambiarPrecioVentaRadio(idProducto, precioProducto);

		        }

		    })

        	//console.log(lista[i].getAttribute('dataprecio-id')+" "+lista[i].value);

            /*let idProducto = lista[i].getAttribute('dataprecio-id');

            let precioProducto = lista[i].getAttribute('precio-pro');

            let indice = lista[i].value;

            cambiarPrecioVentaRadio(idProducto, precioProducto);*/

            //alertCambioPrecio(1);

        });

    }

    /*

     Swal.fire({

        title: 'Esta seguro de anular la venta?',

        text: "El stock de los productos cambiarán!",

        icon: 'warning',

        showCancelButton: true,

        confirmButtonColor: '#3085d6',

        cancelButtonColor: '#d33',

        confirmButtonText: 'Si, Anular!'

    }).then((result) => {

        if (result.isConfirmed) {

            const url = base_url + 'ventas/anular/' + idVenta;

            //hacer una instancia del objeto XMLHttpRequest 

            const http = new XMLHttpRequest();

            //Abrir una Conexion - POST - GET

            http.open('GET', url, true);

            //Enviar Datos

            http.send();

            //verificar estados

            http.onreadystatechange = function () {

                if (this.readyState == 4 && this.status == 200) {

                    const res = JSON.parse(this.responseText);

                    alertaPersonalizada(res.type, res.msg);

                    if (res.type == 'success') {

                        tblHistorial.ajax.reload();

                    }

                }

            }

        }

    })

     */

}



//agregar eventa change para cambiar el precio de venta

function agregarPrecioVenta() {

    /*let lista = document.querySelectorAll('.inputPrecioVenta');

    for (let i = 0; i < lista.length; i++) {

        lista[i].addEventListener('change', function () {

            let idProducto = lista[i].getAttribute('dataprecio-id');

            let precioVenta = lista[i].value;

            console.log("precio venta: "+precioVenta);

            cambiarPrecioVenta(idProducto, precioVenta);

        });

    }*/

}



//agregar eventa change para cambiar la cantidad

function agregarCantidad() {

    let lista = document.querySelectorAll('.inputCantidad');

    //let cantidad = 0;

    //let key =  [37, 39, 38, 40, 8]

    let keyTecla =  [8, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105];

    for (let i = 0; i < lista.length; i++) {

        lista[i].addEventListener('keyup', function (event) {

            if(keyTecla.indexOf(event.keyCode) > -1){

                console.log(keyTecla.indexOf(event.keyCode));

                let idProducto = lista[i].getAttribute('data-id');

                let cantidad = lista[i].value;

                if(cantidad == "" || cantidad == undefined || cantidad == null || cantidad == "0" || cantidad == 0){

                    cantidad = 1;

                }

                cambiarCantidad(idProducto, cantidad);

            }else{



            }

        });

        lista[i].addEventListener('change', function (event) {

                let idProducto = lista[i].getAttribute('data-id');

                let cantidad = 1;

                if(lista[i].value == "" || lista[i].value == undefined || lista[i].value == null || lista[i].value == "0" || lista[i].value == 0){

                    cantidad = 1;

                }else{

                    if(lista[i].value > 0){

                            cantidad = lista[i].value;

                    }else{

                        cantidad = 1;

                    }

                }

                cambiarCantidad(idProducto, cantidad);

        });

    }

}

//function cambiarTipoPrecio() {

    //let tipoPrecio = document.querySelectorAll('.tipoPrecio');

    /*tipoPrecio.addEventListener('change', function () {

        let idProducto = lista[i].getAttribute('dataprecio-id');

        let precioVenta = lista[i].value;

        console.log("SELECT CAMBIADO: "+tipoPrecio.value);

    });*/

    /*for (let i = 0; i < lista.length; i++) {

        lista[i].addEventListener('change', function () {

            let idProducto = lista[i].getAttribute('dataprecio-id');

            let precioVenta = lista[i].value;

            console.log("SELECT CAMBIADO: "+precioVenta);

            //cambiarPrecioVenta(idProducto, precioVenta);

        });

    }*/

//}



//mostrar input para la busqueda por codigo

//tipoPrecio.addEventListener('change', function () {

    //console.log(tipoPrecio.value);

    //$(".inputPrecioVenta option[value=24.00]").attr({selected: true});//0=publico,1=minoritas,2=mayorista

    //let lista = document.querySelectorAll('.inputPrecioVenta');

    //for (let i = 0; i < lista.length; i++) {

        //console.log(tipoPrecio.value+" "+lista[i].value);

        //lista[i].value = tipoPrecio.value;

        /*

        let idProducto = lista[i].getAttribute('dataprecio-id');

        let precioVenta = lista[i].getAttribute('dataprecioventa-id');

        console.log($(".inputPrecioVenta option[value]").attr());//{selected: true}

        //console.log("precio venta: "+lista[i].value+" "+precioVenta.value);

        */

        /*let precioVenta = lista[i].value;

        cambiarPrecioVenta(idProducto, precioVenta);*/



        //inicio probando

        //let lista = document.querySelectorAll('.inputPrecioVenta');

        //for (let i = 0; i < lista.length; i++) {

            //lista[i].addEventListener('change', function () {

                /*let idProducto = lista[i].getAttribute('dataprecio-id');

                let precioVenta = lista[i].value;

                console.log("precio venta: "+precioVenta);

                cambiarPrecioVenta(idProducto, precioVenta);*/

            //});

        //}

        //fin probando

    //}

//})

function cambiarTipoPrecio() {

    if(tipoPrecio){

    		//tipoPrecio.value = "0";

    		//alert(tipoPrecio.getAttribute("vtp"));

    		console.log(tipoPrecio.options[2]);

    		console.log(tipoPrecio.selectedIndex);

    		//$('select option:nth-child(0)');

    		//$(".tipoPrecio option[value=2]").attr({selected: true});

    		//$(".tipoPrecio option[2]").attr({selected: true});

    }

    //console.log(tipoPrecio.selectedIndex);

    let lista = document.querySelectorAll('.inputPrecioVenta');

    $(".tipoPrecio option[value=2]").attr({selected: true});//0=publico,1=minoritas,2=mayorista



    for (let i = 0; i < lista.length; i++) {

        //console.log(lista[i].getAttribute('dataprecio-id')+"-"+lista[i].value);

        //lista[i].options = '2';

        /*lista[i].addEventListener('change', function () {

            let idProducto = lista[i].getAttribute('dataprecio-id');

            let precioVenta = lista[i].value;

            console.log("Analizando precio venta: "+precioVenta);

            //cambiarPrecioVenta(idProducto, precioVenta);

        });*/

    }

    /*for (let i = 0; i < lista.length; i++) {

        lista[i].addEventListener('change', function () {

            let idProducto = lista[i].getAttribute('dataprecio-id');

            let precioVenta = lista[i].value;

            console.log("Analizando precio venta: "+precioVenta);

            //cambiarPrecioVenta(idProducto, precioVenta);

        });

    }*/

}

/*function cambiarPrecioVenta(idProducto, cantidad) {

    console.log("Cambiar precio venta");

    console.log(idProducto, cantidad);

    if (nombreKey === 'posVenta' || nombreKey === 'posApartados') {

        const url = base_url + 'ventas/verificarStock/' + idProducto;

        //hacer una instancia del objeto XMLHttpRequest 

        const http = new XMLHttpRequest();

        //Abrir una Conexion - POST - GET

        http.open('GET', url, true);

        //Enviar Datos

        http.send();

        //verificar estados

        http.onreadystatechange = function () {

            if (this.readyState == 4 && this.status == 200) {

                const res = JSON.parse(this.responseText);

                if (res.cantidad >= cantidad) {

                    for (let i = 0; i < listaCarrito.length; i++) {

                        if (listaCarrito[i]['id'] == idProducto) {

                            listaCarrito[i]['cantidad'] = cantidad;

                        }

                    }

                    localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

                } else {

                    alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

                }

                mostrarProducto();

                return;

            }

        }

    } else {

        for (let i = 0; i < listaCarrito.length; i++) {

            if (listaCarrito[i]['id'] == idProducto) {

                listaCarrito[i]['cantidad'] = cantidad;

            }

        }

        localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

        mostrarProducto();

    }



}*/



function cambiarCantidad(idProducto, cantidad) {

    if (nombreKey === 'posVenta' || nombreKey === 'posApartados') {

        console.log("uno");

        const url = base_url + 'ventas/verificarStock/' + idProducto;

        //hacer una instancia del objeto XMLHttpRequest 

        const http = new XMLHttpRequest();

        //Abrir una Conexion - POST - GET

        http.open('GET', url, true);

        //Enviar Datos

        http.send();

        //verificar estados

        http.onreadystatechange = function () {

            if (this.readyState == 4 && this.status == 200) {//seguir haciendo pruebas

                const res = JSON.parse(this.responseText);

                if(res.tipo == 1){//padre

                    if (parseInt(res.cantidad) >= parseInt(cantidad)){

                        for (let i = 0; i < listaCarrito.length; i++) {

                            if (listaCarrito[i]['id'] == idProducto) {

                                listaCarrito[i]['cantidad'] = cantidad;

                            }

                        }

                        localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

                    } else {

                        alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

                    }

                }else if(res.tipo == 2){//hijo

                    if (parseInt(res.cantidad2) >= parseInt(cantidad)){

                        for (let i = 0; i < listaCarrito.length; i++) {

                            if (listaCarrito[i]['id'] == idProducto) {

                                listaCarrito[i]['cantidad'] = cantidad;

                            }

                        }

                        localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

                    } else {

                        alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

                    }

                }



                mostrarProducto();

                return;

            }

        }

    } else {

        console.log("dos");

        for (let i = 0; i < listaCarrito.length; i++) {

            if (listaCarrito[i]['id'] == idProducto) {

                if(cantidad >=0){

                    listaCarrito[i]['cantidad'] = cantidad;

                }else{



                }

            }

        }

        localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

        mostrarProducto();

    }



}



function cambiarPrecioVentaRadio(idProducto, precioVenta) {

    console.log("id: "+idProducto+" precio de venta final: "+precioVenta);

    

    if (nombreKey === 'posVenta' || nombreKey === 'posApartados') {

        const url = base_url + 'ventas/verificarStock/' + idProducto; //verificarStock

        //hacer una instancia del objeto XMLHttpRequest 

        const http = new XMLHttpRequest();

        //Abrir una Conexion - POST - GET

        http.open('GET', url, true);

        //Enviar Datos

        http.send();

        //verificar estados

        http.onreadystatechange = function () {

            if (this.readyState == 4 && this.status == 200) {

                const res = JSON.parse(this.responseText);

                console.log(res);

                //if (res.cantidad >= precioVenta) {//res.cantidad >= cantidad

                    for (let i = 0; i < listaCarrito.length; i++) {

                        if (listaCarrito[i]['id'] == idProducto) {

                            listaCarrito[i]['precioVenta'] = precioVenta;

                        }

                    }

                    localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

                //} else {

                    //alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

                //}

                mostrarProducto();

                return;

            }

        }

    } else {

        for (let i = 0; i < listaCarrito.length; i++) {

            if (listaCarrito[i]['id'] == idProducto) {

                listaCarrito[i]['precioVenta'] = precioVenta;

            }

        }

        localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

        mostrarProducto();

    }

}



function cambiarPrecioVenta(idProducto, precioVenta) {

    console.log("id: "+idProducto);

    console.log("precio de venta final: "+precioVenta);

    if (nombreKey === 'posVenta' || nombreKey === 'posApartados') {

        const url = base_url + 'ventas/verificarStock/' + idProducto; //verificarStock

        //hacer una instancia del objeto XMLHttpRequest 

        const http = new XMLHttpRequest();

        //Abrir una Conexion - POST - GET

        http.open('GET', url, true);

        //Enviar Datos

        http.send();

        //verificar estados

        http.onreadystatechange = function () {

            if (this.readyState == 4 && this.status == 200) {

                const res = JSON.parse(this.responseText);

                console.log(res);

                //if (res.cantidad >= precioVenta) {//res.cantidad >= cantidad

                    for (let i = 0; i < listaCarrito.length; i++) {

                        if (listaCarrito[i]['id'] == idProducto) {

                            listaCarrito[i]['precioVenta'] = precioVenta;

                        }

                    }

                    localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

                /*} else {

                    alertaPersonalizada('warning', 'STOCK NO DISPONIBLE');

                }*/

                mostrarProducto();

                return;

            }

        }

    } else {

        for (let i = 0; i < listaCarrito.length; i++) {

            if (listaCarrito[i]['id'] == idProducto) {

                listaCarrito[i]['precioVenta'] = precioVenta;

            }

        }

        localStorage.setItem(nombreKey, JSON.stringify(listaCarrito));

        mostrarProducto();

    }

}