<?php



class ProductosModel extends Query{



    public function __construct() {



        parent::__construct();



    }



    public function getProductos($estado)



    {



        $sql = "SELECT 



        p.id,



		p.codigo,



		p.descripcion,



		p.precio_compra,



		p.precio_venta,



		p.precio_venta2,



		p.precio_venta3,



		p.cantidad,



		p.foto,



		p.tipo,



		if(p.tipo = 1, p.cantidad, '---------------') as stockPadre,



		if(p.tipo = 2, p.cantidad2, 0) as stockHijo,



		if(p.tipo = 1, TRUNCATE(p.factor_entre_unidades,0), '---------------') as factorPadre,



		p.tipo_salida,



		p.factor_entre_unidades,



		p.fecha_vencimiento,



		p.cantidad2,



		p.cantidad3,



		p.id_padre,



		p.estado,



		p.fecha,



		p.ventas,



		p.ventas_factor,



		p.id_medida,



		p.id_categoria , 



        m.medida,v.medida as salida, c.categoria 



        FROM productos p 



        INNER JOIN medidas m ON p.id_medida = m.id 



        INNER JOIN medidas v ON p.tipo_salida = v.id 



        INNER JOIN categorias c ON p.id_categoria = c.id WHERE p.estado = $estado";



        return $this->selectAll($sql);



    }







    public function getDatos($table)



    {



        $sql = "SELECT * FROM $table WHERE estado = 1";



        return $this->selectAll($sql);



    }







    public function registrar($codigo, $nombre, $precio_compra, $precio_venta,$precio_venta2,$precio_venta3,$id_medida, $id_categoria, $foto, $tipo,$tipo_salida,$factor_entre_unidades, $fechaVencimiento, $idPadre)// $unidad_venta, $factor



    {



        //



        $sql = "INSERT INTO productos (codigo, descripcion, precio_compra, precio_venta,precio_venta2,precio_venta3, id_medida, id_categoria, foto, tipo, tipo_salida, factor_entre_unidades,fecha_vencimiento,id_padre) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?)";



        $array = array($codigo, $nombre, $precio_compra, $precio_venta,$precio_venta2,$precio_venta3,$id_medida, $id_categoria, $foto, $tipo, $tipo_salida,$factor_entre_unidades,$fechaVencimiento,$idPadre);



        return $this->insertar($sql, $array);



    }







    public function getValidar($campo, $valor, $accion, $id)



    {



        if ($accion == 'registrar' && $id == 0) {



            $sql = "SELECT id FROM productos WHERE $campo = '$valor'";



        }else{



            $sql = "SELECT id FROM productos WHERE $campo = '$valor' AND id != $id";



        }



        return $this->select($sql);



    }







    public function eliminar($idProducto)



    {



        //$sql = "UPDATE productos SET estado = ? WHERE id = ?";



        $sql = "DELETE FROM productos WHERE id = ?";



        //$array = array($estado, $idProducto);



        $array = array($idProducto);



        return $this->save($sql, $array);



    }







    public function editar($idProducto)



    {



        $sql = "SELECT * FROM productos WHERE id = $idProducto";



        return $this->select($sql);



    }







    public function actualizar($codigo, $nombre, $precio_compra, $precio_venta,$precio_venta2,$precio_venta3,



    $id_medida, $id_categoria, $foto,$unidad_venta,$factor,$fechaVencimiento,$idPadre,$id)//, $idPadre



    {



        $sql = "UPDATE productos SET codigo=?, descripcion=?, precio_compra=?, precio_venta=?,precio_venta2=?,precio_venta3=?, id_medida=?, id_categoria=?, foto=?, tipo_salida=?, factor_entre_unidades=?, fecha_vencimiento=?, id_padre=? WHERE id=?";

        

        $array = array($codigo, $nombre, $precio_compra, $precio_venta,$precio_venta2,$precio_venta3,



        $id_medida, $id_categoria, $foto, $unidad_venta,$factor,$fechaVencimiento,$idPadre,$id);//, $idPadre



        return $this->save($sql, $array);



    }







    public function buscarPorCodigo($valor)//1 = padre, 2 = hijo
    {
        //$sql = "SELECT id, descripcion, cantidad FROM productos WHERE codigo = '$valor'";
        $sql = "SELECT 
        id, 
        codigo, 
        descripcion, 
        precio_venta, precio_venta2, precio_venta3, 
        cantidad, 
        if(tipo = 1, cantidad,cantidad2) as stock,
        tipo, 
        factor_entre_unidades, fecha_vencimiento, cantidad2, 
        cantidad3, 
        cantidad_ajuste,
        id_padre 
        FROM productos WHERE codigo = '$valor' AND estado = 1 AND (tipo = 1 || tipo = 2) ";//  AND id_padre = 0
        return $this->select($sql);
    }

    public function buscarPorCodigoKardex($valor)//1 = padre, 2 = hijo
    {
        //$sql = "SELECT id, descripcion, cantidad FROM productos WHERE codigo = '$valor'";
        $sql = "SELECT 
        id, 
        codigo, 
        descripcion, 
        precio_venta, precio_venta2, precio_venta3, 
        cantidad, 
        if(tipo = 1, cantidad,cantidad2) as stock,
        tipo, 
        factor_entre_unidades, fecha_vencimiento, cantidad2, 
        cantidad3, 
        cantidad_ajuste,
        id_padre 
        FROM productos WHERE codigo = '$valor' AND estado = 1 AND (tipo = 1 || tipo = 2) ";//  AND id_padre = 0
        return $this->select($sql);
    }


	



	public function buscarPorCodigoVenta($valor)



    {

        //$sql = "SELECT id, descripcion, cantidad FROM productos WHERE codigo = '$valor'";

        $sql = "SELECT 

        id, 

        codigo, 

        descripcion, 

        precio_venta, precio_venta2, precio_venta3, 

        cantidad, 

        if(tipo = 1, cantidad,cantidad2) as stock,

        tipo, 

        factor_entre_unidades, fecha_vencimiento, cantidad2, 

        cantidad3, 

        cantidad_ajuste,

        id_padre 

        FROM productos WHERE codigo = '$valor' AND estado = 1";//AND tipo = 1 AND id_padre = 0 

        return $this->select($sql);

    }



    



    public function buscarPorCodigoHijo($valor)



    {



        //$sql = "SELECT id, descripcion, cantidad FROM productos WHERE codigo = '$valor'";



        $sql = "SELECT 



        id, 



        codigo, 



        descripcion, 



        precio_venta, precio_venta2, precio_venta3, 



        cantidad, 



        tipo, 



        factor_entre_unidades, fecha_vencimiento, cantidad2, 



        cantidad3, 



        cantidad_ajuste,



        id_padre 



        FROM productos WHERE codigo = '$valor' AND estado = 1 AND id_padre > 0 AND tipo = 2";



        return $this->select($sql);



    }







    public function buscarPorNombre($valor)
    {
        //$sql = "SELECT id, descripcion, cantidad FROM productos WHERE descripcion LIKE '%".$valor."%' AND estado = 1 LIMIT 10";
        //id, codigo, descripcion, precio_venta, precio_venta2, precio_venta3, cantidad, tipo, factor_entre_unidades, fecha_vencimiento, cantidad2, cantidad3, id_padre
        $sql = "SELECT 
        id, codigo, descripcion, precio_venta, precio_venta2, precio_venta3, 
        abs(cantidad) as cantidad, 
        abs(if(tipo = 1, cantidad,cantidad2)) as stock,
        tipo, 
        factor_entre_unidades, fecha_vencimiento, abs(cantidad2) as cantidad2, 
        abs(cantidad3) as cantidad3, id_padre 
         FROM productos WHERE (codigo = '".$valor."' OR descripcion LIKE '%".$valor."%') AND estado = 1 AND (tipo = 1 || tipo = 2)  LIMIT 100";
        //echo $sql;
        return $this->selectAll($sql);
        //////AND id_padre = 0
    }







    public function buscarPorNombreProVenta($valor)

    {//productos para la venta

        //$sql = "SELECT id, descripcion, cantidad FROM productos WHERE descripcion LIKE '%".$valor."%' AND estado = 1 LIMIT 10";

        //id, codigo, descripcion, precio_venta, precio_venta2, precio_venta3, cantidad

        //1padre,2hijo

        $sql = "SELECT 

        id, codigo, descripcion, precio_compra, precio_venta, precio_venta2, precio_venta3, 

        tipo, 

        if(tipo = 1, 'Padre','Hijo') as etiqueta,

        abs(if(tipo = 1, cantidad,cantidad2)) as stock,

        factor_entre_unidades, fecha_vencimiento, abs(cantidad2), 

        cantidad3, id_padre 

         FROM productos WHERE (codigo LIKE '".$valor."%' OR descripcion LIKE '%".$valor."%') AND estado = 1 LIMIT 50";//AND id_padre = 0

        return $this->selectAll($sql);

    }







    public function getEmpresa()

    {

        $sql = "SELECT * FROM configuracion";

        return $this->select($sql);

    }







}



