<?php
namespace App\Controllers;
use App\DB\DBConnection;
use App\Utility\UtilityDB;
use App\Config;
use PDOException;


class TraArticuloController {
	
    public function select($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Articulo', 'lectura');
                if($userFuncionality == 'OK'){
                    $parameter = $request->getParsedBody();
                    $fecha_ini = $parameter['fecha_ini'] ?? "01/01/1900";
                    $fecha_fin = $parameter['fecha_fin'] ?? "01/01/1900";
                    $pag_inicio = $parameter['pag_inicio'] ?? 0;
                    $tamanio = $parameter['tamanio'] ?? 10;
                    $filter = $parameter['filter'] ?? "undefined";
                    if(empty($filter)) $filter = "undefined";

                    $filter1 = $parameter['filter1'] ?? "undefined";
                    if(empty($filter1)) $filter1 = "undefined";

                    $filter2 = $parameter['filter2'] ?? "undefined";
                    if(empty($filter2)) $filter2 = "undefined";


                    $art_estado = $parameter['art_estado'] ?? 'A';

					/*
                    concat(b.usr_nombres,' ',b.usr_apellidos) as cli_usuarioi,  
                    concat(c.usr_nombres,' ',c.usr_apellidos) as cli_usuariom,*/
                    //URL_BYPASS[\"ruta_public\"]
                    //SET @FirstVar=1, @SecondVar=2;
                    //SET @rutaPublica := 1;
                    $ruta_public = URL_BYPASS["ruta_public"]."/";
                    //--date_format(art_fecha_vencimiento, '%d/%m/%y') as art_fecha_vencimiento,
                    $sql = " 
                    select 
                    a.art_correl, 
                    LPAD(a.art_codigo,10,'0') art_codigo, 
                    concat('ADM',a.art_codigo) art_codigo, 
                    a.art_cat_correl,
                    a.art_nombre,  
                    a.art_nombre_corto,  
                    a.art_descripcion,  
                    a.art_codigo_externo,  
                    a.art_stock,  
                    a.art_directorio_imagen,  
                    a.art_imagen,
                    --concat('".$ruta_public."','',a.art_imagen) as art_ruta_imagen,
                    IF(a.art_imagen IS NULL OR a.art_imagen = '', '', concat('".$ruta_public."','',a.art_imagen)) as art_ruta_imagen,
                    a.art_venta_x_pieza,
                    a.art_unidad_entrada,
                    a.art_unidad_salida,
                    a.art_factor_entre_unidades,
                    date_format(art_fecha_vencimiento, '%d/%m/%Y') as art_fecha_vencimiento,
                    --art_fecha_vencimiento,
                    a.art_tipo,
                    a.art_estado,
                    concat(u1.usr_nombres , ' ' , u1.usr_apellidos) as usr_ing,
                    date_format(art_fechai, '%d/%m/%y %T') as usr_fechai,
                    concat(u2.usr_nombres , ' ' , u2.usr_apellidos) as usr_mod,
                    date_format(art_fecham, '%d/%m/%y %T') as usr_fecham 
                    from tra_articulo a 
                    left outer join cfg_catalogo d on(a.art_estado= d.cat_valor and d.cat_tipo = 'CLIENTE_ESTADO' and d.cat_empresa = :emp_codigo and d.cat_estado = 'A')
                    left outer join cfg_usuario u1 on (u1.usr_correl = a.art_usuarioi)
                    left outer join cfg_usuario u2 on (u2.usr_correl = a.art_usuariom) 
                    where 1=1 
                    and a.art_estado =:art_estado 
                    and ((a.art_correl like concat('%',:filter,'%') or a.art_nombre like concat('%',:filter,'%') or a.art_nombre_corto like concat('%',:filter,'%') or a.art_descripcion like concat('%',:filter,'%') or a.art_codigo_externo like concat('%',:filter,'%')) or (:filter = 'undefined'))
                    and (a.art_fechai >=STR_TO_DATE(:fecha_ini,'%d/%m/%y %T') OR :fecha_ini='01/01/1900') 
                    and (a.art_fechai <=STR_TO_DATE(:fecha_fin,'%d/%m/%y %T') OR :fecha_fin='01/01/1900') 
                     limit $pag_inicio, $tamanio ";

                    $stmt = $PDO->prepare($sql);
                    $stmt->execute([
                    'art_estado' => $art_estado,
                    'emp_codigo' => $emp_codigo,
                    'fecha_ini' => $fecha_ini,
                    'fecha_fin' => $fecha_fin,
                    'filter' => ltrim($filter,'ADM')
                    ]);
                    $result = $stmt->fetchAll($PDO::FETCH_OBJ);
                    
                    if (!empty($stmt)) {
                        $totalRegistros = $utility->RegistrosTotal($PDO, "tra_articulo a 
                        left outer join cfg_catalogo d on(a.art_estado= d.cat_valor and d.cat_tipo = 'CLIENTE_ESTADO' and d.cat_empresa = :emp_codigo and d.cat_estado = 'A')
                        left outer join cfg_usuario u1 on (u1.usr_correl = a.art_usuarioi)
                        left outer join cfg_usuario u2 on (u2.usr_correl = a.art_usuariom) 
                        ", "   and a.art_estado =:art_estado 
                         and ((a.art_correl like concat('%',:filter,'%') or a.art_nombre like concat('%',:filter,'%') or a.art_nombre_corto like concat('%',:filter,'%') or a.art_descripcion like concat('%',:filter,'%') or a.art_codigo_externo like concat('%',:filter,'%')) or (:filter = 'undefined'))
                        and (a.art_fechai >=STR_TO_DATE(:fecha_ini,'%d/%m/%y %T') OR :fecha_ini='01/01/1900') 
                        and (a.art_fechai <=STR_TO_DATE(:fecha_fin,'%d/%m/%y %T') OR :fecha_fin='01/01/1900') 
                        ", 
                        [
                        'art_estado' => $art_estado,
                        'emp_codigo' => $emp_codigo,
                        'fecha_ini' => $fecha_ini,
                        'fecha_fin' => $fecha_fin,
                        'filter' => ltrim($filter,'ADM')
                        ]);
                        //$totalRegistros =$stmt->rowCount();

                        /*para combos

                        if($totalRegistros > 0){
                            array_unshift($result,array("pro_correl"=>'','pro_nombre'=>'Seleccione un proveedor'));
                        }else{
                            array_unshift($result,array("pro_correl"=>'','pro_nombre'=>'No existen proveedores disponibles'));
                        }*/

                        $data = array('estado'=>'OK', 'data'=>$result, 'status'=>200,'token'=>$token,'totalRegistros'=>$totalRegistros,'ruta_principal'=>URL_BYPASS["ruta_public"]);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'NODATA', 'mensaje'=>'No existen datos', 'status'=>200,'token'=>$token,'totalRegistros'=>"0");
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
            
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(200);
        }
        return $response;
    }
    public function selectCategoria($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Articulo', 'lectura');
                if($userFuncionality == 'OK'){
                    $parameter = $request->getParsedBody();
                    $fecha_ini = $parameter['fecha_ini'] ?? "01/01/1900";
                    $fecha_fin = $parameter['fecha_fin'] ?? "01/01/1900";
                    $pag_inicio = $parameter['pag_inicio'] ?? 0;
                    $tamanio = $parameter['tamanio'] ?? 10;
                    /*$filter = $parameter['filter'] ?? "undefined";
                    if(empty($filter)) $filter = "undefined";*/

                    /*$filter1 = $parameter['filter1'] ?? "undefined";
                    if(empty($filter1)) $filter1 = "undefined";

                    $filter2 = $parameter['filter2'] ?? "undefined";
                    if(empty($filter2)) $filter2 = "undefined";*/


                    $cat_estado = 'A';//$parameter['cat_estado'] ?? 'A';

                    /*
                    concat(b.usr_nombres,' ',b.usr_apellidos) as cli_usuarioi,  
                    concat(c.usr_nombres,' ',c.usr_apellidos) as cli_usuariom,
                    LPAD(a.cli_correl,10,'0') cli_codigo, 
                    concat('CDM',a.cli_correl) cli_codigo, 
                    a.cli_correo_contacto,
                    a.cli_telefono_contacto,
                    a.cli_estado,
                    a.cli_fechai,  
                    a.cli_fecham,
                    concat(u1.usr_nombres , ' ' , u1.usr_apellidos) as usr_ing,
                    date_format(cli_fechai, '%d/%m/%y %T') as usr_fechai,
                    concat(u2.usr_nombres , ' ' , u2.usr_apellidos) as usr_mod,
                    date_format(cli_fecham, '%d/%m/%y %T') as usr_fecham */

                    $sql = " 
                    select 
                    a.cat_correl, 
                    a.cat_nombre 
                    from tra_categoria a 
                    where 1=1 
                    and a.cat_estado =:cat_estado 
                     limit $pag_inicio, $tamanio ";

                    $stmt = $PDO->prepare($sql);
                    $stmt->execute([
                    'cat_estado' => $cat_estado
                    //'filter' => ltrim($filter,'CDM')
                    ]);
                    $result = $stmt->fetchAll($PDO::FETCH_OBJ);
                    
                    if (!empty($stmt)) {
                        $totalRegistros = $utility->RegistrosTotal($PDO, "tra_categoria a ", "   and a.cat_estado =:cat_estado ", 
                        [
                        'cat_estado' => $cat_estado
                        //'filter' => ltrim($filter,'CDM')
                        ]);
                        //$totalRegistros =$stmt->rowCount();
                        if($totalRegistros > 0){
                            array_unshift($result,array("cat_correl"=>'','cat_nombre'=>'Seleccione una Categoría'));
                        }else{
                            array_unshift($result,array("cat_correl"=>'','cat_nombre'=>'No existen categorías disponibles'));
                        }

                        $data = array('estado'=>'OK', 'data'=>$result, 'status'=>200,'token'=>$token,'totalRegistros'=>$totalRegistros);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'NODATA', 'mensaje'=>'No existen datos', 'status'=>200,'token'=>$token,'totalRegistros'=>"0");
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
            
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(200);
        }
        return $response;
    }
    public function insert($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();  
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                $cat_sucursal = 1;

                $parameter = $request->getParsedBody();
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Cliente', 'nuevo');

                if($userFuncionality == 'OK'){
                    $art_correl=$parameter['art_correl'] ?? 0;
                    $art_codigo=$parameter['art_codigo'] ?? 0;
                    $art_cat_correl=$parameter['art_cat_correl'] ?? 0;
                    $art_codigo_externo=$parameter['art_codigo_externo'] ?? NULL;
                    $art_nombre=$parameter['art_nombre'] ?? NULL;
                    $art_nombre_corto=$parameter['art_nombre_corto'] ?? NULL;
                    $art_descripcion=$parameter['art_descripcion'] ?? NULL;
                    $art_stock=$parameter['art_stock'] ?? 0;
                    $art_imagen=$parameter['art_imagen'] ?? NULL;
                    $art_venta_x_pieza=$parameter['art_venta_x_pieza'] ?? 0;
                    $art_unidad_entrada=$parameter['art_unidad_entrada'] ?? 0;
                    $art_unidad_salida=$parameter['art_unidad_salida'] ?? 0;
                    $art_factor_entre_unidades=$parameter['art_factor_entre_unidades'] ?? 0;
                    $art_fecha_vencimiento=$parameter['art_fecha_vencimiento'] ?? NULL;
                    if($art_fecha_vencimiento != 'undefined' && $art_fecha_vencimiento != 'null'){$art_fecha_vencimiento = $parameter['art_fecha_vencimiento'];}else{$art_fecha_vencimiento = NULL;}
                    $art_tipo=$parameter['art_tipo'] ?? 1;
                    $art_estado=$parameter['art_estado'] ?? 'A';

                    /*$art_nombre=$parameter['art_nombre'] ?? NULL;
                    if($art_nombre != 'undefined' && $art_nombre != 'null'){$art_nombre = $parameter['art_nombre'];}else{$art_nombre = NULL;}
                    $art_nombre_corto =$parameter['art_nombre_corto '] ?? NULL;
                    $art_imagen=$parameter['art_imagen'] ?? NULL;
                    if($art_imagen != 'undefined' && $art_imagen != 'null'){$art_imagen = $parameter['art_imagen'];}else{$art_imagen = NULL;}
                    $art_descripcion=$parameter['art_descripcion'] ?? NULL;
                    $art_descripcion=$parameter['art_descripcion'] ?? NULL;
                    if($cli_direccion != 'undefined' && $cli_direccion != 'null'){$cli_direccion = $parameter['cli_direccion'];}else{$cli_direccion = NULL;}
                    $cli_telefono=$parameter['cli_telefono'] ?? NULL;
                    if($cli_telefono != 'undefined' && $cli_telefono != 'null'){$cli_telefono = $parameter['cli_telefono'];}else{$cli_telefono = NULL;}
                    $cli_email=$parameter['cli_email'] ?? NULL;
                    if($cli_email != 'undefined' && $cli_email != 'null'){$cli_email = $parameter['cli_email'];}else{$cli_email = NULL;}
                    $cli_nombre_contacto=$parameter['cli_nombre_contacto'] ?? NULL;
                    if($cli_nombre_contacto != 'undefined' && $cli_nombre_contacto != 'null'){$cli_nombre_contacto = $parameter['cli_nombre_contacto'];}else{$cli_nombre_contacto = NULL;}
                    $cli_correo_contacto=$parameter['cli_correo_contacto'] ?? NULL;
                    if($cli_correo_contacto != 'undefined' && $cli_correo_contacto != 'null'){$cli_correo_contacto = $parameter['cli_correo_contacto'];}else{$cli_correo_contacto = NULL;}
                    $cli_telefono_contacto=$parameter['cli_telefono_contacto'] ?? NULL;
                    if($cli_telefono_contacto != 'undefined' && $cli_telefono_contacto != 'null'){$cli_telefono_contacto = $parameter['cli_telefono_contacto'];}else{$cli_telefono_contacto = NULL;}
                    $cli_estado=$parameter['cli_estado'] ?? 'A';*/

                    $art_correl = $utility->CorrelAutomatico($PDO, "tra_articulo", "art_correl", "");
                    $art_codigo = $utility->CorrelAutomatico($PDO, "tra_articulo", "art_codigo", " and art_empresa = $emp_codigo");
                    
                    
                    $existeCorreo = 0;$existeNit = 0;
                    //$cli_sucursal = 1;
					/*$existeCorreo = $utility->buscarRegistro($PDO, "tra_clientes", "pro_correl dato,cli_email", " and UPPER(cli_email)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_email);
                    
                    
                    if($cli_nit == "CF" || $cli_nit == "cf"){
                        $existeNit = 0;
                    }else{
                        $existeNit = $utility->buscarRegistro($PDO, "tra_clientes", "pro_correl dato,cli_nit", " and UPPER(cli_nit)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_nit);
                    }*/
                    
                    
                    $sql = "insert into tra_articulo (
                              art_correl,
                              art_codigo,
                              art_empresa,
                              art_ambiente,
                              art_cat_correl,
                              art_codigo_externo,
                              art_nombre,
                              art_nombre_corto,
                              art_descripcion,
                              art_stock,
                              art_imagen,
                              art_venta_x_pieza,
                              art_unidad_entrada,
                              art_unidad_salida,
                              art_factor_entre_unidades,
                              art_fecha_vencimiento,
                              art_tipo,
                              art_estado,
                              art_usuarioi,
                              art_usuariom,
                              art_fechai,
                              art_fecham
                            ) values(
                              :art_correl,
                              :art_codigo,
                              :art_empresa,
                              :art_ambiente,
                              :art_cat_correl,
                              :art_codigo_externo,
                              :art_nombre,
                              :art_nombre_corto,
                              :art_descripcion,
                              :art_stock,
                              :art_imagen,
                              :art_venta_x_pieza,
                              :art_unidad_entrada,
                              :art_unidad_salida,
                              :art_factor_entre_unidades,
                              :art_fecha_vencimiento,
                              :art_tipo,
                              :art_estado,
                              :id_usuario, 
                              :id_usuario, 
                              now(), 
                              now() 
                            )
                    ";

                    $stmt = $PDO->prepare($sql);
                        $result = $stmt->execute([
                        'art_correl' => $art_correl,
                        'art_codigo' => $art_codigo,
                        'art_empresa' => $emp_codigo,
                        'art_ambiente' => $amb_codigo,
                        'art_cat_correl' => $art_cat_correl,
                        'art_nombre' => $art_nombre,
                        'art_codigo_externo' => $art_codigo_externo,
                        'art_nombre_corto' => $art_nombre_corto,
                        'art_descripcion' => $art_descripcion,
                        'art_stock' => $art_stock,
                        'art_imagen' => $art_imagen,
                        'art_venta_x_pieza' => $art_venta_x_pieza,
                        'art_unidad_entrada' => $art_unidad_entrada,
                        'art_unidad_salida' => $art_unidad_salida,
                        'art_factor_entre_unidades' => $art_factor_entre_unidades,
                        'art_fecha_vencimiento' => $art_fecha_vencimiento,
                        'art_tipo' => $art_tipo,
                        'art_estado' => $art_estado,
                        'id_usuario' => $id_usuario
                    ]);
                        
                        
                    if ($result == true) {
                        $data = array('estado'=>'OK', 'mensaje'=>'Artículo registrado exitosamente', 'status'=>200,'token'=>$token,'key'=>$art_correl,'keyCorrel'=>$art_codigo);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'ERROR', 'mensaje'=>'Artículo no pudo ser registrado', 'status'=>403,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                    $response->getBody()->write($payload);
                    $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(500);
        }
        return $response;
    }
    public function update($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                $cli_sucursal = 1;

                $parameter = $request->getParsedBody();
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Cliente', 'modificar');
                if($userFuncionality == 'OK'){
                    
                    $cli_correl=$parameter['cli_correl'] ?? 0;
                    $cli_nombre=$parameter['cli_nombre'] ?? 'SN';
                    $cli_nit=$parameter['cli_nit'] ?? 'cf';
                    $cli_imagen=$parameter['cli_imagen'] ?? NULL;
                    if($cli_imagen != 'undefined' && $cli_imagen != 'null'){$cli_imagen = $parameter['cli_imagen'];}else{$cli_imagen = NULL;}
                    $cli_direccion=$parameter['cli_direccion'] ?? NULL;
                    if($cli_direccion != 'undefined' && $cli_direccion != 'null'){$cli_direccion = $parameter['cli_direccion'];}else{$cli_direccion = NULL;}
                    $cli_telefono=$parameter['cli_telefono'] ?? NULL;
                    if($cli_telefono != 'undefined' && $cli_telefono != 'null'){$cli_telefono = $parameter['cli_telefono'];}else{$cli_telefono = NULL;}
                    $cli_email=$parameter['cli_email'] ?? NULL;
                    if($cli_email != 'undefined' && $cli_email != 'null'){$cli_email = $parameter['cli_email'];}else{$cli_email = NULL;}
                    $cli_nombre_contacto=$parameter['cli_nombre_contacto'] ?? NULL;
                    if($cli_nombre_contacto != 'undefined' && $cli_nombre_contacto != 'null'){$cli_nombre_contacto = $parameter['cli_nombre_contacto'];}else{$cli_nombre_contacto = NULL;}
                    $cli_correo_contacto=$parameter['cli_correo_contacto'] ?? NULL;
                    if($cli_correo_contacto != 'undefined' && $cli_correo_contacto != 'null'){$cli_correo_contacto = $parameter['cli_correo_contacto'];}else{$cli_correo_contacto = NULL;}
                    $cli_telefono_contacto=$parameter['cli_telefono_contacto'] ?? NULL;
                    if($cli_telefono_contacto != 'undefined' && $cli_telefono_contacto != 'null'){$cli_telefono_contacto = $parameter['cli_telefono_contacto'];}else{$cli_telefono_contacto = NULL;}
                    $cli_estado=$parameter['cli_estado'] ?? 'A';
                    


                    /*$existeCorreo = $utility->buscarRegistro($PDO, "tra_clientes", "cli_correl dato,cli_email", " and UPPER(cli_email)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_email);

                    if($cli_nit == "CF" || $cli_nit == "cf"){
                        $existeNit = 0;
                    }else{
                        $existeNit = $utility->buscarRegistro($PDO, "tra_clientes", "cli_correl dato,cli_nit", " and UPPER(cli_nit)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_nit);
                    }*/
                    

                    $sql = " update tra_clientes set
                        					cli_sucursal = :cli_sucursal,  
											cli_nombre = :cli_nombre,  
											cli_imagen = :cli_imagen,  
											cli_nit = :cli_nit,  
											cli_direccion = :cli_direccion,  
											cli_telefono = :cli_telefono,  
											cli_email = :cli_email,  
											cli_nombre_contacto = :cli_nombre_contacto,  
											cli_correo_contacto = :cli_correo_contacto,
                                            cli_telefono_contacto = :cli_telefono_contacto,
                                            cli_estado = :cli_estado,
                                            cli_usuariom = :id_usuario,
											cli_fecham=now() 
                                            where cli_correl=:cli_correl";

                        $stmt = $PDO->prepare($sql);
                        $result = $stmt->execute([
                        'cli_correl' => $cli_correl,
                        //'cli_codigo' => $cli_codigo,
                        //'cli_empresa' => $emp_codigo,
                        //'cli_ambiente' => $amb_codigo,
                        'cli_sucursal' => $cli_sucursal,
                        'cli_nombre' => $cli_nombre,
                        'cli_imagen' => $cli_imagen,
                        'cli_nit' => $cli_nit,
                        'cli_direccion' => $cli_direccion,
                        'cli_telefono' => $cli_telefono,
                        'cli_email' => $cli_email,
                        'cli_nombre_contacto' => $cli_nombre_contacto,
                        'cli_correo_contacto' => $cli_correo_contacto,
                        'cli_telefono_contacto' => $cli_telefono_contacto,
                        'cli_estado' => $cli_estado,
                        'id_usuario' => $id_usuario
                    ]);
                    if ($result == true) {
                        $data = array('estado'=>'OK', 'mensaje'=>'Cliente actualizado exitosamente', 'status'=>200,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'ERROR', 'mensaje'=>'Cliente no pudo ser actualizado', 'status'=>403,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                    }    
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                    $response->getBody()->write($payload);
                    $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(500);
        }
        return $response;
    }
    public function delete($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                $parameter = $request->getParsedBody();
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Articulo', 'eliminar');
                if($userFuncionality == 'OK'){
                    
                    $art_correl=$parameter['art_correl'] ?? 0;
                    $art_directorio_imagen=$parameter['art_directorio_imagen'] ?? NULL;
                    $art_imagen=$parameter['art_imagen'] ?? NULL;
                    
                    $sql = " update tra_articulo set art_estado = 'E' where art_correl = :art_correl";
        
                    $stmt = $PDO->prepare($sql);
                    $result = $stmt->execute([
                        'art_correl' => $art_correl
                    ]);
                    if ($result == true) {
                        if($art_imagen != "" && $art_imagen != undefined && $art_imagen != null){
                            unlink($art_directorio_imagen.$art_imagen);
                        }
                        $data = array('estado'=>'OK', 'mensaje'=>'Artículo eliminado exitosamente', 'status'=>200,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'ERROR', 'mensaje'=>'Artículo no pudo ser eliminado', 'status'=>403,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                    $response->getBody()->write($payload);
                    $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(500);
        }
        return $response;
    }
    //sin usar cliente
    public function getSign($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_recepcion', 'lectura');
                if($userFuncionality == 'OK'){
                    $parameter = $request->getParsedBody();
                    $att_objeto_codigo = $parameter['att_objeto_codigo'] ?? 0;
                    $att_objeto = $parameter['att_objeto'] ?? 'no_object';
                    
                    $download_dir = DOWNLOAD_DIR_FIRMA;                    

					
                    $sql = "select concat('$download_dir', to_char(att_fechai,'YYYY'),'/',to_char(att_fechai,'MM'),att_archivo) as firma from tra_attachment
                    where 
                    att_objeto_codigo = :att_objeto_codigo and att_objeto = :att_objeto and att_estado = 'A'
                    ";
                    
                    $stmt = $PDO->prepare($sql);
                    $stmt->execute(['att_objeto' => $att_objeto,
                    'att_objeto_codigo' => $att_objeto_codigo
                    ]);
                    $result = $stmt->fetchAll($PDO::FETCH_OBJ);
                    
                    if (!empty($result)) {
                        
                        $path = $result[0]->firma;
                        $type = pathinfo($path, PATHINFO_EXTENSION);
                        $data = file_get_contents($path);
                        $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);
                        
                        
                        $data = array('estado'=>'OK', 'data'=>$base64, 'status'=>200,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'NODATA', 'mensaje'=>'No existen datos', 'status'=>200,'token'=>$token,'totalRegistros'=>"0");
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
            
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(200);
        }
        return $response;
    }
   
    
}
