<?php include_once 'views/templates/header.php'; ?>



<div class="card">

    <div class="card-body">

        <nav>

            <div class="nav nav-tabs" id="nav-tab" role="tablist">

                <button class="nav-link active" id="nav-compras-tab" data-bs-toggle="tab" data-bs-target="#nav-compras" type="button" role="tab" aria-controls="nav-compras" aria-selected="true">Compras</button>

                <button class="nav-link" id="nav-historial-tab" data-bs-toggle="tab" data-bs-target="#nav-historial" type="button" role="tab" aria-controls="nav-historial" aria-selected="false">Historial</button>

            </div>

        </nav>

        <div class="tab-content" id="nav-tabContent">

            <div class="tab-pane fade show active p-3" id="nav-compras" role="tabpanel" aria-labelledby="nav-compras-tab" tabindex="0">

                <h5 class="card-title text-center"><i class="fas fa-truck"></i> Nueva Compra</h5>

                <hr>

                <!--<input class="form-control" type="hidden" id="serie" placeholder="Serie Compra" value="1">-->

                <div class="row">

                    <div class="col-md-12">

                        <!--<label>Serie</label>-->

                        <div class="input-group mb-2">

                            <!--<span class="input-group-text"><i class="fas fa-spinner"></i></span>-->

                            <input class="form-control" type="hidden" id="serie" placeholder="Serie Compra" value="1" readonly>

                        </div>

                    </div>    

                </div>

                <div class="row">

                    <input class="form-control" type="text" name="tipoBusqueda" id="tipoBusqueda" value="1" placeholder="Tipo de Busqueda" readonly>

                  <div class="col-md-4">

                    <!--<div class="card">

                      <div class="card-header">

                        <label>DATOS DEL PROVEEDOR</label>

                      </div>-->

                        <label>Buscar Proveedor <span class="text-danger">*</span></label>

                        <div class="input-group mb-4">

                            <input type="hidden" id="idProveedor">

                            <span class="input-group-text"><i class="fas fa-search"></i></span>

                            <input class="form-control" type="text" id="buscarProveedor" placeholder="Buscar Proveedor">

                        </div>

                        <span class="text-danger fw-bold mb-4" id="errorProveedor"></span>

                    <!--</div>-->

                    </div>

                    <div class="col-md-2">

                        <label>Teléfono <span class="text-danger">*</span></label>

                        <div class="input-group mb-4">

                            <span class="input-group-text"><i class="fas fa-phone"></i></span>

                            <input class="form-control" type="text" id="telefonoProveedor" placeholder="Telefono" disabled>

                        </div>

                    </div>

                    <div class="col-md-3">

                        <label>Dirección <span class="text-danger">*</span></label>

                        <ul class="list-group">

                            <li class="list-group-item" id="proveedorDireccion"><i class="fas fa-home"></i></li>

                        </ul>

                    </div>

                    <div class="col-md-3">

                        <label>Usuario Activo <span class="text-danger">*</span></label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fas fa-user"></i></span>

                            <input class="form-control" type="text" value="<?php echo $_SESSION['nombre_usuario']; ?>" placeholder="Comprador" disabled>

                        </div>

                    </div>

                </div>

                <h5 class="card-title text-center"><i class="fas fa-file"></i> SERIE Y NÚMERO DE FACTURA</h5>

                <hr>

                <div class="row">

                    <div class="col-md-6">

                        <label>SERIE </label>

                        <div class="input-group mb-4">

                            <span class="input-group-text"><i class="fas fa-file-alt"></i></span>

                            <input class="form-control" type="text" id="serieDocumento" placeholder="Serie Factura">

                        </div>

                        <span class="text-danger fw-bold mb-4" id="errorSerieFactura"></span>

                    </div>

                    <div class="col-md-6">

                        <label>NÚMERO DE DOCUMENTO </label>

                        <div class="input-group mb-4">

                            <span class="input-group-text"><i class="fas fa-file"></i></span>

                            <input class="form-control" type="text" id="numeroDocumento" placeholder="Número de Factura">

                        </div>

                        <span class="text-danger fw-bold mb-4" id="errorNumeroFactura"></span>

                    </div>

                </div>

                <br>

                <h5 class="card-title text-center"><i class="fas fa-file"></i> BUSQUE UN PRODUCTO POR CÓDIGO O NOMBRE</h5>

                <br>



                <div class="btn-group btn-group-toggle mb-2" data-toggle="buttons">

                    <label class="btn btn-primary">

                        <input type="radio" id="barcode" checked name="buscarProducto"><i class="fas fa-barcode"></i> Barcode

                    </label>

                    <label class="btn btn-info">

                        <input type="radio" id="nombre" name="buscarProducto"><i class="fas fa-list"></i> Nombre

                    </label>

                </div>

                <!-- input para buscar codigo -->

                <?php //phpinfo();?></php>

                <div class="input-group mb-2" id="containerCodigo">

                    <span class="input-group-text"><i class="fas fa-search"></i></span>

                    <input class="form-control tipo-vista" type="text" id="buscarProductoCodigo" tipo-vista="c" placeholder="Ingrese Barcode - Enter" autocomplete="off">

                </div>



                <!-- input para buscar nombre -->

                <div class="input-group d-none mb-2" id="containerNombre">

                    <span class="input-group-text"><i class="fas fa-search"></i></span>

                    <input class="form-control tipo-vista" type="text" id="buscarProductoNombre" tipo-vista="c" placeholder="Buscar Producto" autocomplete="off">

                </div>



                <span class="text-danger fw-bold mb-2" id="errorBusqueda"></span>



                <!-- table productos -->



                <div class="table-responsive">

                    <table class="table table-bordered align-middle" id="tblNuevaCompra" style="width: 100%;"><!--table-striped table-hover-->

                        <thead>

                            <tr>

                            	<th>Código Barra</th>

                                <th>Producto</th>

                                <th>Precio</th>

                                <th>Cantidad</th>

                                <th>SubTotal</th>

                                <th></th>

                            </tr>

                        </thead>

                        <tbody>

                        </tbody>

                    </table>

                </div>



                <hr>



                <div class="row justify-content-between">

                    <div class="col-md-4">

                        <!--<label>Buscar Proveedor</label>

                        <div class="input-group mb-2">

                            <input type="hidden" id="idProveedor">

                            <span class="input-group-text"><i class="fas fa-search"></i></span>

                            <input class="form-control" type="text" id="buscarProveedor" placeholder="Buscar Proveedor">

                        </div>

                        <span class="text-danger fw-bold mb-2" id="errorProveedor"></span>



                        <label>Telefono</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fas fa-phone"></i></span>

                            <input class="form-control" type="text" id="telefonoProveedor" placeholder="Telefono" disabled>

                        </div>



                        <label>Dirección</label>

                        <ul class="list-group">

                            <li class="list-group-item" id="proveedorDireccion"><i class="fas fa-home"></i></li>

                        </ul>-->

                    </div>



                    <div class="col-md-4">

                        <label>Total a Pagar</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fab fa-quora"></i></span>

                            <input class="form-control" type="text" id="totalPagar" placeholder="Total Pagar" disabled style="text-align: right;">

                        </div>



                        <div class="d-grid">

                            <button class="btn btn-primary" type="button" id="btnAccion">Registrar Compra</button>

                        </div>

                    </div>

                </div>

            </div>

            <div class="tab-pane fade p-3" id="nav-historial" role="tabpanel" aria-labelledby="nav-historial-tab" tabindex="0">

                <div class="d-flex justify-content-center mb-3">

                    <div class="form-group">

                        <label for="desde">Desde</label>

                        <input id="desde" class="form-control" type="date">

                    </div>

                    <div class="form-group">

                        <label for="hasta">Hasta</label>

                        <input id="hasta" class="form-control" type="date">

                    </div>

                </div>

                <div class="table-responsive">

                    <table class="table table-bordered table-striped table-hover align-middle nowrap" id="tblHistorial" style="width: 100%;">

                        <thead>

                            <tr>

                                <th>Fecha</th>

                                <th>Hora</th>

                                <th>Total</th>

                                <th>Proveedor</th>

                                <th>Serie</th>

                                <th></th>

                            </tr>

                        </thead>



                        <tbody>

                        </tbody>

                    </table>



                </div>

            </div>

        </div>

    </div>

</div>



<?php include_once 'views/templates/footer.php'; ?>