<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $data['title']; ?></title>
    <link rel="stylesheet" href="<?php echo BASE_URL . 'assets/css/factura.css'; ?>">
</head>

<body>
    <?php
    		$encabezado ='';
		$encabezado = '
		<table id="datos-empresa" style="border: 0px solid blue;">
	        <tr>
	            <td class="logo">
	                <img src="'.BASE_URL.'assets/images/logo.png" alt="" style="width: 210px; height: 170px;">
	            </td>
	            <td class="info-empresa">
	                <p>'.$data["empresa"]["nombre"].'</p>
	                <p>RTU: '.$data["empresa"]["ruc"].'</p>
	                <p>Teléfono: '.$data["empresa"]["telefono"].'</p>
	                <p>Dirección: '.$data["empresa"]["direccion"].'</p>
	            </td>
	            <td class="info-compra">
	                <div class="container-factura">
	                    <span class="factura">Nota de Venta</span>
	                    <p>N°: <strong>'.$data["venta"]["serie"].'</strong></p>
	                    <p>Fecha: '.$data["venta"]["fecha"].'</p>
	                    <p>Hora: '.$data["venta"]["hora"].'</p>
	                </div>
	            </td>
	        </tr>
	    </table>
	    ';
	    	$encabezadoCliente = '
	    	<h5 class="title">Datos del Cliente</h5>
	    <table id="container-info">
	        <tr>
	            <td>
	                <strong>'.$data["venta"]["identidad"].': </strong>
	                <p>'.$data["venta"]["num_identidad"].'</p>
	            </td>
	            <td>
	                <strong>Nombre: </strong>
	                <p>'.$data["venta"]["nombre"].'</p>
	            </td>
	        </tr>
	        <tr>
	            <td>
	                <strong>Teléfono: </strong>
	                <p>'.$data["venta"]["telefono"].'</p>
	            </td>
	            <td>
	                <strong>Dirección: </strong>
	                <p>'.$data["venta"]["direccion"].'</p>
	            </td>
	        </tr>
	    </table>
	    	';
			
	    $productosPadre = json_decode($data['venta']['productos'], true);
		$con = 1;
		$contenido = "";
	    foreach ($productosPadre as $pro) { 
		    	if($con == 15){//|| $con == 1
		    		//echo $contenido = " LINEA<br>";
		    		echo $encabezado;
				echo $encabezadoCliente;
	?>
		<!--INICIO IMPLEMENTAADO-->
		    <h5 class="title">Detalle de los Productos</h5>
		    <table id="container-producto">
		        <thead>
		            <tr>
		            		<th>No.</th>
		                <th>Cantidad</th>
		                <th class="text-center" style="width: 2px;">Check</th>
		                <th lass="text-right">Descripción</th>
		                <th lass="text-right">Precio</th>
		                <th lass="text-right">SubTotal</th>
		            </tr>
		        </thead>
		        <tbody>
		            <?php
		            $productos = json_decode($data['venta']['productos'], true);
					
		            $subTotal = $data['venta']['total'] / 1.18;
		            $igv = $data['venta']['total'] - $subTotal;
		            $totalSD = $data['venta']['total'] - $data['venta']['descuento'];
		            $totalCD = $data['venta']['total'];
		
					$conteo = 1;
					$item = 1;
					$valor = "";
		            foreach ($productos as $producto) { 
		            	if($conteo == 22){
		            		$valor = " LINEA";
						$conteo = 0;
		            	}else{
		          		$valor = "";
		            	}
		            	?>
		                <tr>
		                		<td class="text-center">
		                        <?php echo $item.$valor; ?>
		                    </td>
		                    <td class="text-center">
		                        <?php echo $producto['cantidad']; ?>
		                    </td>
		                    <td class="text-center">&nbsp; <input type="checkbox" name="verificar" id="verificar"></td>
		                    <td class="text-center"><?php echo $producto['nombre']; ?></td>
		                    <td class="text-right">Q<?php echo number_format($producto['precio'], 2); ?></td>
		                    <td class="text-right">Q<?php echo number_format($producto['cantidad'] * $producto['precio'], 2); ?></td>
		                </tr>
		            <?php 
		            	$conteo++;
					$item++;
					} 
					?>
		            
		            <tr class="total">
		                <td class="text-right" colspan="5">Total</td>
		                <td class="text-right">Q<?php echo number_format($totalCD, 2); ?></td>
		            </tr>
		        </tbody>
		    </table>
			<!--FIN IMPLEMENTAADO-->
	<?php
				$con = 0;
		    	}else{
		  		//echo $contenido = " SIN LINEA<br>";
		  		//echo $encabezado ='';
		    	}
			$con++;
		}
    	?>

    

    <div class="mensaje">
        <h4><?php echo $data['venta']['metodo'] ?></h4>
        <?php //echo $data['empresa']['mensaje']; ?>
        <?php if ($data['venta']['estado'] == 0) { ?>
            <h1>Venta Anulado</h1>
        <?php } ?>
    </div>

</body>

</html>