<?php include_once 'views/templates/header.php'; ?>

<?php 

$numero1 = 990;

$numero2 = 18;

if(($numero1%$numero2) == 0){

    //echo ($numero1/$numero2)." DIVISION EXACATA: ".($numero1%$numero2);

}else{

    //echo ($numero1/$numero2)." RESIDUO: ".($numero1%$numero2);

}

?>

<div class="card">

    <div class="card-body">

        <nav>

            <div class="nav nav-tabs" id="nav-tab" role="tablist">

                <button class="nav-link active" id="nav-ventas-tab" data-bs-toggle="tab" data-bs-target="#nav-ventas" type="button" role="tab" aria-controls="nav-ventas" aria-selected="true">Ventas</button>

                <button class="nav-link" id="nav-historial-tab" data-bs-toggle="tab" data-bs-target="#nav-historial" type="button" role="tab" aria-controls="nav-historial" aria-selected="false">Historial</button>

            </div>

        </nav>

        <div class="tab-content" id="nav-tabContent">

            <div class="tab-pane fade show active p-3" id="nav-ventas" role="tabpanel" aria-labelledby="nav-ventas-tab" tabindex="0">

                <h5 class="card-title text-center"><i class="fas fa-cash-register"></i> Nueva Venta</h5>

                <hr>

                <div class="row">

                    <input class="form-control" type="hidden" name="tipoBusqueda" id="tipoBusqueda" value="2" placeholder="Tipo de Busqueda" readonly>

                    <div class="col-md-12 mb-12">

                        <div class="input-group">

                            <span class="input-group-text">Serie</span>

                            <input class="form-control" type="text" value="<?php echo $data['serie'][0]; ?>" readonly>

                        </div>

                    </div>

                    <div class="col-md-3">

                        <label>Buscar Cliente <span class="text-danger">*</span></label>

                        <div class="input-group mb-2">

                            <input type="hidden" id="idCliente" value="1">

                            <span class="input-group-text"><i class="fas fa-search"></i></span>

                            <input class="form-control" type="text" id="buscarCliente" placeholder="Buscar Cliente">

                        </div>

                        <span class="text-danger fw-bold mb-2" id="errorCliente"></span>

                    </div>

                    <div class="col-md-3">

                        <label>Telefono <span class="text-danger">*</span></label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fas fa-phone"></i></span>

                            <input class="form-control" type="text" id="telefonoCliente" placeholder="Telefono" readonly>

                        </div>

                    </div>

                    <div class="col-md-3">

                        <label>Dirección <span class="text-danger">*</span></label>

                        <ul class="list-group">

                            <li class="list-group-item" id="direccionCliente"><i class="fas fa-home"></i></li>

                        </ul>

                    </div>

                    <div class="col-md-3">

                        <label>Vendedor</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fas fa-user"></i></span>

                            <input class="form-control" type="text" value="<?php echo $_SESSION['nombre_usuario']; ?>" placeholder="Vendedor" readonly>

                        </div>

                    </div>

                    <!--<div class="col-md-4"></div>

                    <div class="col-md-4"></div>-->

                </div>

                <div class="row mb-2">

                    <div class="col-md-6">

                        <div class="btn-group btn-group-toggle mb-2" data-toggle="buttons">

                            <label class="btn btn-primary">

                                <input type="radio" id="barcode" checked name="buscarProducto"><i class="fas fa-barcode"></i> Barcode

                            </label>

                            <label class="btn btn-info">

                                <input type="radio" id="nombre" name="buscarProducto"><i class="fas fa-list"></i> Nombre

                            </label>

                        </div>

                    </div>

                    <!--<div class="col-md-3">

                        <div class="btn-group-toggle float-end" data-toggle="buttons">

                            <label class="btn btn-primary">

                                <input type="checkbox" id="impresion_directa"> Impresión Directa

                            </label>

                        </div>

                    </div>-->

                </div>



                <!-- input para buscar codigo -->

                <div class="input-group mb-2" id="containerCodigo"><!--containerCodigoVenta-->

                    <span class="input-group-text"><i class="fas fa-search"></i></span>

                    <input class="form-control tipo-vista" type="text" id="buscarProductoCodigo" tipo-vista="v" placeholder="Ingrese Barcode - Enter" autocomplete="off">

                </div>



                <!-- input para buscar nombre -->

                <div class="input-group d-none mb-2" id="containerNombre"><!--containerNombreVenta-->

                    <span class="input-group-text"><i class="fas fa-search"></i></span>

                    <input class="form-control tipo-vista" type="text" id="buscarProductoNombre" tipo-vista="v" placeholder="Buscar Producto" autocomplete="off"><!--buscarProductoVentaNombre buscarProductoNombre-->

                </div>



                <span class="text-danger fw-bold mb-2" id="errorBusqueda"></span>



                <!-- table productos -->

                <!--<select id="metodo" class="form-control">

                                <option value="CONTADO">CONTADO</option>

                                <option value="CREDITO">CREDITO</option>

                            </select>-->

                <div class="table-responsive">

                    <table class="table table-bordered align-middle" id="tblNuevaVenta" style="width: 100%;"><!--table-striped table-hover-->

                        <thead>

                            <tr>

                            	   <!--<th>Item</th>-->

                                <th>Código Barra</th>

                                <th>Producto</th>

                                <!--<th>Padre/hijo</th>-->

                                <th>Stock<br>Padre</th>

                                <th>Stock<br>Hijo</th>

                                <th>

                                   <!--<select name="tipoPrecio" id="tipoPrecio" vtp="5" class="form-control tipoPrecio">

                                        <option value="">SELECCIONE UNA OPCIÓN</option>

                                        <option value="0">PÚBLICO</option>

                                        <option value="1">MINORISTA</option>

                                        <option value="2">MAYORISTA</option>

                                   </select>-->

                                    Precio

                                </th>

                                <th>Cantidad</th>

                                <th>SubTotal</th>

                                <th></th>

                            </tr>

                        </thead>

                        <tbody>

                        </tbody>

                    </table>

                </div>



                <hr>



                <div class="row justify-content-between">

                    <div class="col-md-4">

                        <!--<label>Buscar Cliente</label>

                        <div class="input-group mb-2">

                            <input type="hidden" id="idCliente" value="1">

                            <span class="input-group-text"><i class="fas fa-search"></i></span>

                            <input class="form-control" type="text" id="buscarCliente" placeholder="Buscar Cliente">

                        </div>



                        <span class="text-danger fw-bold mb-2" id="errorCliente"></span>



                        <label>Telefono</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fas fa-phone"></i></span>

                            <input class="form-control" type="text" id="telefonoCliente" placeholder="Telefono" disabled>

                        </div>



                        <label>Dirección</label>

                        <ul class="list-group">

                            <li class="list-group-item" id="direccionCliente"><i class="fas fa-home"></i></li>

                        </ul>-->

                    </div>



                    <div class="col-md-4">

                        <!--<label>Vendedor</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fas fa-user"></i></span>

                            <input class="form-control" type="text" value="<?php //echo $_SESSION['nombre_usuario']; ?>" placeholder="Vendedor" disabled>

                        </div>-->



                        <!--<label>Descuento</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fab fa-quora"></i></span>

                            <input class="form-control" type="text" id="descuento" placeholder="Descuento" value="0">

                        </div>-->

                        <input class="form-control" type="hidden" id="descuento" placeholder="Descuento" value="0">



                        <label>Total a Pagar</label>

                        <div class="input-group mb-2">

                            <span class="input-group-text"><i class="fab fa-quora"></i></span>

                            <input class="form-control" type="text" id="totalPagar" placeholder="Total Pagar" readonly>

                        </div>



                        <div class="form-group mb-2">

                            <label for="metodo">Método</label>

                            <!--<input id="metodo" class="form-control" type="text" id="descuento" value="CONTADO" disabled>-->

                            <select id="metodo" class="form-control" readonly>

                                <option value="CONTADO" selected>CONTADO</option>

                                <!--<option value="CREDITO">CREDITO</option>-->

                            </select>

                        </div>



                        <div class="d-grid">

                            <button class="btn btn-primary" type="button" id="btnAccion">Completar</button>

                        </div>

                    </div>

                </div>

            </div>

            <div class="tab-pane fade p-3" id="nav-historial" role="tabpanel" aria-labelledby="nav-historial-tab" tabindex="0">

                <div class="d-flex justify-content-center mb-3">

                    <div class="form-group">

                        <label for="desde">Desde</label>

                        <input id="desde" class="form-control" type="date">

                    </div>

                    <div class="form-group">

                        <label for="hasta">Hasta</label>

                        <input id="hasta" class="form-control" type="date">

                    </div>

                </div>

                <div class="table-responsive">

                    <table class="table table-bordered table-striped table-hover align-middle nowrap" id="tblHistorial" style="width: 100%;">

                        <thead>

                            <tr>

                                <th>Fecha</th>

                                <th>Hora</th>

                                <th>Total</th>

                                <th>Cliente</th>

                                <th>Serie</th>

                                <th>Metodo</th>

                                <th></th>

                            </tr>

                        </thead>



                        <tbody>

                        </tbody>

                    </table>



                </div>

            </div>

        </div>

    </div>

</div>



<?php include_once 'views/templates/footer.php'; ?>