<?php
namespace App\Controllers;
use App\DB\DBConnection;
use App\Utility\UtilityDB;
use PDOException;


class TraProveedorController - copia {
	
    public function select($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Proveedor', 'lectura');
                if($userFuncionality == 'OK'){
                    $parameter = $request->getParsedBody();
                    $fecha_ini = $parameter['fecha_ini'] ?? "01/01/1900";
                    $fecha_fin = $parameter['fecha_fin'] ?? "01/01/1900";
                    $pag_inicio = $parameter['pag_inicio'] ?? 0;
                    $tamanio = $parameter['tamanio'] ?? 10;
                    $filter = $parameter['filter'] ?? "undefined";

                    if(empty($filter)) $filter = "undefined";
                    $filter1 = $parameter['filter1'] ?? "undefined";
                    if(empty($filter1)) $filter1 = "undefined";
                    $filter2 = $parameter['filter2'] ?? "undefined";
                    if(empty($filter2)) $filter2 = "undefined";


                    $pro_estado = $parameter['pro_estado'] ?? 'A';

					/*a.cli_telefono1,  
                    a.cli_telefono2,  
                    a.cli_direccion,  
                    d.cat_nombre cat_estado_nombre,  
                    a.pro_estado,  
                    concat(b.usr_nombres,' ',b.usr_apellidos) as cli_usuarioi,  
                    concat(c.usr_nombres,' ',c.usr_apellidos) as cli_usuariom,*/
                    //CONCAT('PDM',a.pro_correl) pro_codigo,
                    $filtro = "";
                    $codicion = "";
                    $sql = " 
                    select 
                    a.pro_correl, 
                    CONCAT('PDM',LPAD(a.pro_correl,10,'0')) pro_codigo, 
                    a.pro_nombre,  
                    a.pro_nit,  
                    a.pro_direccion,  
                    a.pro_telefono,  
                    a.pro_email,  
                    a.pro_nombre_contacto,
                    a.pro_correo_contacto,
                    a.pro_telefono_contacto,
                    a.pro_estado,
                    a.pro_fechai,  
                    a.pro_fecham,
                    concat(u1.usr_nombres , ' ' , u1.usr_apellidos) as usr_ing,
                    date_format(pro_fechai, '%d/%m/%y %T') as usr_fechai,
                    concat(u2.usr_nombres , ' ' , u2.usr_apellidos) as usr_mod,
                    date_format(pro_fecham, '%d/%m/%y %T') as usr_fecham 
                    from tra_proveedores a ";
                    $filtro .=" left outer join cfg_catalogo d on(a.pro_estado= d.cat_valor and d.cat_tipo = 'CLIENTE_ESTADO' and d.cat_empresa = :emp_codigo and d.cat_estado = 'A')
                    left outer join cfg_usuario u1 on (u1.usr_correl = a.pro_usuarioi)
                    left outer join cfg_usuario u2 on (u2.usr_correl = a.pro_usuariom) ";
                    $sql .= $filtro." where 1=1 ";
                    $codicion .=" and a.pro_estado =:pro_estado 
                    and (
                        (a.pro_correl like concat('%',:filter,'%') or a.pro_nombre like concat('%',:filter,'%') or a.pro_direccion like concat('%',:filter,'%') or a.pro_nit like concat('%',:filter,'%')) or (:filter = 'undefined')
                    )
                    and (a.pro_fechai >=STR_TO_DATE(:fecha_ini,'%d/%m/%y %T') OR :fecha_ini='01/01/1900') 
                    and (a.pro_fechai <=STR_TO_DATE(:fecha_fin,'%d/%m/%y %T') OR :fecha_fin='01/01/1900') ";
                    $sql .= $codicion." limit $pag_inicio, $tamanio ";

                    $stmt = $PDO->prepare($sql);
                    $stmt->execute([
                    'pro_estado' => $pro_estado,
                    'emp_codigo' => $emp_codigo,
                    'fecha_ini' => $fecha_ini,
                    'fecha_fin' => $fecha_fin,
                    'filter' => ltrim($filter,'PDM')
                    ]);
                    $result = $stmt->fetchAll($PDO::FETCH_OBJ);
                    /*
                    left outer join cfg_catalogo d on(a.pro_estado= d.cat_valor and d.cat_tipo = 'CLIENTE_ESTADO' and d.cat_empresa = :emp_codigo) 
                        left outer join cfg_usuario b on (b.usr_correl = a.pro_usuarioi) 
                        left outer join cfg_usuario c on (c.usr_correl = a.pro_usuariom) 
                        */
                    if (!empty($stmt)) {
                        $totalRegistros = $utility->RegistrosTotal($PDO, "tra_proveedores a 
                        $filtro
                        ", " $codicion ", 
                        [
                        'pro_estado' => $pro_estado,
                        'emp_codigo' => $emp_codigo,
                        'fecha_ini' => $fecha_ini,
                        'fecha_fin' => $fecha_fin,
                        'filter' => ltrim($filter,'PDM')
                        ]);
                        /*
                        and a.pro_estado =:pro_estado  
                             and (
                             (a.pro_correl like concat('%',:filter,'%') or a.pro_nombre like concat('%',:filter,'%') or a.pro_direccion like concat('%',:filter,'%') or a.pro_nit like concat('%',:filter,'%')) 
                                 or (:filter = 'undefined')
                            )
                         and (a.pro_fechai >=STR_TO_DATE(:fecha_ini,'%d/%m/%y %T') OR :fecha_ini='01/01/1900') 
                         and (a.pro_fechai <=STR_TO_DATE(:fecha_fin,'%d/%m/%y %T') OR :fecha_fin='01/01/1900') 
                        */
                        //$totalRegistros = $stmt->rowCount();

                        /*para combos

                        if($totalRegistros > 0){
                            array_unshift($result,array("pro_correl"=>'','pro_nombre'=>'Seleccione un proveedor'));
                        }else{
                            array_unshift($result,array("pro_correl"=>'','pro_nombre'=>'No existen proveedores disponibles'));
                        }*/

                        $data = array('estado'=>'OK', 'data'=>$result, 'status'=>200,'token'=>$token,'totalRegistros'=>$totalRegistros);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'NODATA', 'mensaje'=>'No existen datos', 'status'=>200,'token'=>$token,'totalRegistros'=>"0");
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
            
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(200);
        }
        return $response;
    }
    public function insert($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();  
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                $pro_sucursal = 1;

                $parameter = $request->getParsedBody();
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Proveedor', 'nuevo');

                if($userFuncionality == 'OK'){
                    $pro_nombre=$parameter['pro_nombre'] ?? 'SN';
                    $pro_nit=$parameter['pro_nit'] ?? 'cf';
                    $pro_imagen=$parameter['pro_imagen'] ?? NULL;
                    if($pro_imagen != 'undefined' && $pro_imagen != 'null'){$pro_imagen = $parameter['pro_imagen'];}else{$pro_imagen = NULL;}
                    $pro_direccion=$parameter['pro_direccion'] ?? NULL;
                    if($pro_direccion != 'undefined' && $pro_direccion != 'null'){$pro_direccion = $parameter['pro_direccion'];}else{$pro_direccion = NULL;}
                    $pro_telefono=$parameter['pro_telefono'] ?? NULL;
                    if($pro_telefono != 'undefined' && $pro_telefono != 'null'){$pro_telefono = $parameter['pro_telefono'];}else{$pro_telefono = NULL;}
                    $pro_email=$parameter['pro_email'] ?? NULL;
                    if($pro_email != 'undefined' && $pro_email != 'null'){$pro_email = $parameter['pro_email'];}else{$pro_email = NULL;}
                    $pro_nombre_contacto=$parameter['pro_nombre_contacto'] ?? NULL;
                    if($pro_nombre_contacto != 'undefined' && $pro_nombre_contacto != 'null'){$pro_nombre_contacto = $parameter['pro_nombre_contacto'];}else{$pro_nombre_contacto = NULL;}
                    $pro_correo_contacto=$parameter['pro_correo_contacto'] ?? NULL;
                    if($pro_correo_contacto != 'undefined' && $pro_correo_contacto != 'null'){$pro_correo_contacto = $parameter['pro_correo_contacto'];}else{$pro_correo_contacto = NULL;}
                    $pro_telefono_contacto=$parameter['pro_telefono_contacto'] ?? NULL;
                    if($pro_telefono_contacto != 'undefined' && $pro_telefono_contacto != 'null'){$pro_telefono_contacto = $parameter['pro_telefono_contacto'];}else{$pro_telefono_contacto = NULL;}
                    $pro_estado=$parameter['pro_estado'] ?? 'A';

                    $pro_correl = $utility->CorrelAutomatico($PDO, "tra_proveedores", "pro_correl", "");
                    $pro_codigo = $utility->CorrelAutomatico($PDO, "tra_proveedores", "pro_codigo", " and pro_empresa = $emp_codigo");//solucionar
                    
                    
                    $existeCorreo = 0;$existeNit = 0;
					/*$existeCorreo = $utility->buscarRegistro($PDO, "tra_proveedores", "pro_correl dato,cli_email", " and UPPER(cli_email)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_email);
                    
                    
                    if($cli_nit == "CF" || $cli_nit == "cf"){
                        $existeNit = 0;
                    }else{
                        $existeNit = $utility->buscarRegistro($PDO, "tra_proveedores", "pro_correl dato,cli_nit", " and UPPER(cli_nit)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_nit);
                    }*/
                    
                    
                    $sql = "insert into tra_proveedores (
                              pro_correl,
                              pro_codigo,
                              pro_empresa,
                              pro_ambiente,
                              pro_sucursal,
                              pro_nombre,
                              pro_imagen,
                              pro_nit,
                              pro_direccion,
                              pro_telefono,
                              pro_email,
                              pro_nombre_contacto,
                              pro_correo_contacto,
                              pro_telefono_contacto,
                              pro_estado,
                              pro_usuarioi,
                              pro_usuariom,
                              pro_fechai,
                              pro_fecham
                            ) values(
                              :pro_correl,
                              :pro_codigo,
                              :pro_empresa,
                              :pro_ambiente,
                              :pro_sucursal,
                              :pro_nombre,
                              :pro_imagen,
                              :pro_nit,
                              :pro_direccion,
                              :pro_telefono,
                              :pro_email,
                              :pro_nombre_contacto,
                              :pro_correo_contacto,
                              :pro_telefono_contacto,
                              :pro_estado,
                              :id_usuario, 
                              :id_usuario, 
                              now(), 
                              now() 
                            )
                    ";

                    $stmt = $PDO->prepare($sql);
                        $result = $stmt->execute([
                        'pro_correl' => $pro_correl,
                        'pro_codigo' => $pro_codigo,
                        'pro_empresa' => $emp_codigo,
                        'pro_ambiente' => $amb_codigo,
                        'pro_sucursal' => $pro_sucursal,

                        'pro_nombre' => $pro_nombre,
                        'pro_imagen' => $pro_imagen,
                        'pro_nit' => $pro_nit,
                        'pro_direccion' => $pro_direccion,
                        'pro_telefono' => $pro_telefono,
                        'pro_email' => $pro_email,
                        'pro_nombre_contacto' => $pro_nombre_contacto,
                        'pro_correo_contacto' => $pro_correo_contacto,
                        'pro_telefono_contacto' => $pro_telefono_contacto,
                        'pro_estado' => $pro_estado,
                        'id_usuario' => $id_usuario
                    ]);
                        
                        
                    if ($result == true) {
                        $data = array('estado'=>'OK', 'mensaje'=>'Proveedor registrado exitosamente', 'status'=>200,'token'=>$token,'key'=>$pro_correl,'keyCorrel'=>$pro_codigo);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'ERROR', 'mensaje'=>'Proveedor no pudo ser registrado', 'status'=>403,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                    }
                    /*$datosRegistrado = "";
                    if($existeCorreo > 0){
                        $datosRegistrado .= "Corre: ".$cli_email." ";
                    }
                    if($existeNit > 0){
                        $datosRegistrado .= "Nit: ".$cli_nit;
                    }

                    if($existeCorreo > 0 || $existeNit > 0){
                        $data = array('estado'=>'ERROR', 'mensaje'=>$datosRegistrado, 'status'=>400,'token'=>$token);//'Registro duplicado'
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(400);
                    }else{
                        $stmt = $PDO->prepare($sql);
                        $result = $stmt->execute([
                        'cli_correlativo' => $cli_correlativo,
                        'cli_nombre' => $cli_nombre,
                        'cli_email' => $cli_email,
                        'cli_facturar' => $cli_facturar,
                        'cli_nit' => $cli_nit,
                        'cli_telefono1' => $cli_telefono1,
                        'cli_telefono2' => $cli_telefono2,
                        'cli_direccion' => $cli_direccion,
                        'cli_estado' => $cli_estado,
                        'id_usuario' => $id_usuario
                        ]);
                        
                        
                        if ($result == true) {
                            $data = array('estado'=>'OK', 'mensaje'=>'Registro registrado exitosamente', 'status'=>200,'token'=>$token,'key'=>$cli_correlativo);
                            $payload = json_encode($data);
                            $response->getBody()->write($payload);
                            $response = $response->withStatus(200);
                        }else{
                            $data = array('estado'=>'ERROR', 'mensaje'=>'Registro no pudo ser registrado', 'status'=>403,'token'=>$token);
                            $payload = json_encode($data);
                            $response->getBody()->write($payload);
                            $response = $response->withStatus(403);
                        }
                    }*/
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(500);
        }
        return $response;
    }
    public function update($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                $pro_sucursal = 1;

                $parameter = $request->getParsedBody();
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Proveedor', 'modificar');
                if($userFuncionality == 'OK'){
                    
                    $pro_correl=$parameter['pro_correl'] ?? 0;
                    $pro_nombre=$parameter['pro_nombre'] ?? 'SN';
                    $pro_nit=$parameter['pro_nit'] ?? 'cf';
                    $pro_imagen=$parameter['pro_imagen'] ?? NULL;
                    if($pro_imagen != 'undefined' && $pro_imagen != 'null'){$pro_imagen = $parameter['pro_imagen'];}else{$pro_imagen = NULL;}
                    $pro_direccion=$parameter['pro_direccion'] ?? NULL;
                    if($pro_direccion != 'undefined' && $pro_direccion != 'null'){$pro_direccion = $parameter['pro_direccion'];}else{$pro_direccion = NULL;}
                    $pro_telefono=$parameter['pro_telefono'] ?? NULL;
                    if($pro_telefono != 'undefined' && $pro_telefono != 'null'){$pro_telefono = $parameter['pro_telefono'];}else{$pro_telefono = NULL;}
                    $pro_email=$parameter['pro_email'] ?? NULL;
                    if($pro_email != 'undefined' && $pro_email != 'null'){$pro_email = $parameter['pro_email'];}else{$pro_email = NULL;}
                    $pro_nombre_contacto=$parameter['pro_nombre_contacto'] ?? NULL;
                    if($pro_nombre_contacto != 'undefined' && $pro_nombre_contacto != 'null'){$pro_nombre_contacto = $parameter['pro_nombre_contacto'];}else{$pro_nombre_contacto = NULL;}
                    $pro_correo_contacto=$parameter['pro_correo_contacto'] ?? NULL;
                    if($pro_correo_contacto != 'undefined' && $pro_correo_contacto != 'null'){$pro_correo_contacto = $parameter['pro_correo_contacto'];}else{$pro_correo_contacto = NULL;}
                    $pro_telefono_contacto=$parameter['pro_telefono_contacto'] ?? NULL;
                    if($pro_telefono_contacto != 'undefined' && $pro_telefono_contacto != 'null'){$pro_telefono_contacto = $parameter['pro_telefono_contacto'];}else{$pro_telefono_contacto = NULL;}
                    $pro_estado=$parameter['pro_estado'] ?? 'A';
                    


                    /*$existeCorreo = $utility->buscarRegistro($PDO, "tra_proveedores", "pro_correl dato,cli_email", " and UPPER(cli_email)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_email);

                    if($cli_nit == "CF" || $cli_nit == "cf"){
                        $existeNit = 0;
                    }else{
                        $existeNit = $utility->buscarRegistro($PDO, "tra_proveedores", "pro_correl dato,cli_nit", " and UPPER(cli_nit)=UPPER(:valorCampo1) and cli_estado = 'A'",$cli_nit);
                    }*/
                    

                    $sql = " update tra_proveedores set
                        					pro_sucursal = :pro_sucursal,  
											pro_nombre = :pro_nombre,  
											pro_imagen = :pro_imagen,  
											pro_nit = :pro_nit,  
											pro_direccion = :pro_direccion,  
											pro_telefono = :pro_telefono,  
											pro_email = :pro_email,  
											pro_nombre_contacto = :pro_nombre_contacto,  
											pro_correo_contacto = :pro_correo_contacto,
                                            pro_telefono_contacto = :pro_telefono_contacto,
                                            pro_estado = :pro_estado,
                                            pro_usuariom = :id_usuario,
											pro_fecham=now() where pro_correl=:pro_correl";

                        $stmt = $PDO->prepare($sql);
                        $result = $stmt->execute([
                        'pro_correl' => $pro_correl,
                        //'pro_codigo' => $pro_codigo,
                        //'pro_empresa' => $emp_codigo,
                        //'pro_ambiente' => $amb_codigo,
                        'pro_sucursal' => $pro_sucursal,
                        'pro_nombre' => $pro_nombre,
                        'pro_imagen' => $pro_imagen,
                        'pro_nit' => $pro_nit,
                        'pro_direccion' => $pro_direccion,
                        'pro_telefono' => $pro_telefono,
                        'pro_email' => $pro_email,
                        'pro_nombre_contacto' => $pro_nombre_contacto,
                        'pro_correo_contacto' => $pro_correo_contacto,
                        'pro_telefono_contacto' => $pro_telefono_contacto,
                        'pro_estado' => $pro_estado,
                        'id_usuario' => $id_usuario
                    ]);
                    if ($result == true) {
                        $data = array('estado'=>'OK', 'mensaje'=>'Proveedor actualizado exitosamente', 'status'=>200,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'ERROR', 'mensaje'=>'Proveedor no pudo ser actualizado', 'status'=>403,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                    }    
                    /*$datosRegistrado = "";
                    if($existeCorreo > 0){//&& $cli_correlativo <> $existeCorreo
                        $datosRegistrado .= "Corre: ".$cli_email." ";
                    }
                    if($existeNit > 0){//&& $cli_correlativo <> $existeNit
                        $datosRegistrado .= "Nit: ".$cli_nit;
                    }
                    if($cli_correlativo == $existeCorreo && $cli_correlativo == $existeNit){//
                        $stmt = $PDO->prepare($sql);
                        $result = $stmt->execute([
                        'cli_correlativo' => $cli_correlativo,
                        'cli_nombre' => $cli_nombre,
                        'cli_email' => $cli_email,
                        'cli_facturar' => $cli_facturar,
                        'cli_nit' => $cli_nit,
                        'cli_telefono1' => $cli_telefono1,
                        'cli_telefono2' => $cli_telefono2,
                        'cli_direccion' => $cli_direccion,
                        'cli_estado' => $cli_estado,
                        'id_usuario' => $id_usuario
                        ]);
                        if ($result == true) {
                            $data = array('estado'=>'OK', 'mensaje'=>'Registro actualizado exitosamente'.$cli_correlativo.' '.$existeNit, 'status'=>200,'token'=>$token);
                            $payload = json_encode($data);
                            $response->getBody()->write($payload);
                            $response = $response->withStatus(200);
                        }else{
                            $data = array('estado'=>'ERROR', 'mensaje'=>'Registro no pudo ser actualizado', 'status'=>403,'token'=>$token);
                            $payload = json_encode($data);
                            $response->getBody()->write($payload);
                            $response = $response->withStatus(403);
                        }
                    }else{
                        if(($existeCorreo > 0 && $cli_correlativo <> $existeCorreo) && ($existeNit > 0 && $cli_correlativo == $existeNit)){//|| $existeNit > 0
                            $data = array('estado'=>'ERROR', 'mensaje'=>$datosRegistrado, 'status'=>400,'token'=>$token);//'Registro duplicado'
                            $payload = json_encode($data);
                            $response->getBody()->write($payload);
                            $response = $response->withStatus(400);
                        }else{//Registro no existe
                            $stmt = $PDO->prepare($sql);
                            $result = $stmt->execute([
                                'cli_correlativo' => $cli_correlativo,
                                'cli_nombre' => $cli_nombre,
                                'cli_email' => $cli_email,
                                'cli_facturar' => $cli_facturar,
                                'cli_nit' => $cli_nit,
                                'cli_telefono1' => $cli_telefono1,
                                'cli_telefono2' => $cli_telefono2,
                                'cli_direccion' => $cli_direccion,
                                'cli_estado' => $cli_estado,
                                'id_usuario' => $id_usuario
                            ]);
                            if ($result == true) {
                                $data = array('estado'=>'OK', 'mensaje'=>'Registro actualizado exitosamente'.$cli_correlativo.' '.$existeNit, 'status'=>200,'token'=>$token);
                                $payload = json_encode($data);
                                $response->getBody()->write($payload);
                                $response = $response->withStatus(200);
                            }else{
                                $data = array('estado'=>'ERROR', 'mensaje'=>'Registro no pudo ser actualizado', 'status'=>403,'token'=>$token);
                                $payload = json_encode($data);
                                $response->getBody()->write($payload);
                                $response = $response->withStatus(403);
                            }
                        }
                        //$data = array('estado'=>'ERROR', 'mensaje'=>'Registro duplicado', 'status'=>400,'token'=>$token);//'Registro duplicado'
                        //$payload = json_encode($data);
                        //$response->getBody()->write($payload);
                        //$response = $response->withStatus(400);
                    }*/
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                    $response->getBody()->write($payload);
                    $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(500);
        }
        return $response;
    }
    public function delete($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                $parameter = $request->getParsedBody();
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_Proveedor', 'eliminar');
                if($userFuncionality == 'OK'){
                    
                    $pro_correl=$parameter['pro_correl'] ?? 0;
                    
                    
                    $sql = " update tra_proveedores set pro_estado = 'E' where pro_correl = :pro_correl";
        
                    $stmt = $PDO->prepare($sql);
                    $result = $stmt->execute([
                        'pro_correl' => $pro_correl
                    ]);
                    if ($result == true) {
                        $data = array('estado'=>'OK', 'mensaje'=>'Proveedor eliminado exitosamente', 'status'=>200,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'ERROR', 'mensaje'=>'Proveedor no pudo ser eliminado', 'status'=>403,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                    $response->getBody()->write($payload);
                    $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(500);
        }
        return $response;
    }
    //sin usar
    public function getSign($request, $response, $args) {
        try{
            $dbConnection = new DBConnection();
            $conexion = $dbConnection->setConnection();
            if ($conexion == "OK") {
                $PDO = $dbConnection->getConnection();
                $token = $request->getAttribute('new_token');
                $id_usuario = (int)$request->getAttribute('id');
                $emp_codigo = (int)$request->getAttribute('emp_codigo');
                $amb_codigo = (int)$request->getAttribute('amb_codigo');
                
                $utility = new UtilityDB();
                $userFuncionality = $utility->userFuncionalityAccess($PDO, $id_usuario,$emp_codigo,$amb_codigo, 'Tra_recepcion', 'lectura');
                if($userFuncionality == 'OK'){
                    $parameter = $request->getParsedBody();
                    $att_objeto_codigo = $parameter['att_objeto_codigo'] ?? 0;
                    $att_objeto = $parameter['att_objeto'] ?? 'no_object';
                    
                    $download_dir = DOWNLOAD_DIR_FIRMA;                    

					
                    $sql = "select concat('$download_dir', to_char(att_fechai,'YYYY'),'/',to_char(att_fechai,'MM'),att_archivo) as firma from tra_attachment
                    where 
                    att_objeto_codigo = :att_objeto_codigo and att_objeto = :att_objeto and att_estado = 'A'
                    ";
                    
                    $stmt = $PDO->prepare($sql);
                    $stmt->execute(['att_objeto' => $att_objeto,
                    'att_objeto_codigo' => $att_objeto_codigo
                    ]);
                    $result = $stmt->fetchAll($PDO::FETCH_OBJ);
                    
                    if (!empty($result)) {
                        
                        $path = $result[0]->firma;
                        $type = pathinfo($path, PATHINFO_EXTENSION);
                        $data = file_get_contents($path);
                        $base64 = 'data:image/' . $type . ';base64,' . base64_encode($data);
                        
                        
                        $data = array('estado'=>'OK', 'data'=>$base64, 'status'=>200,'token'=>$token);
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }else{
                        $data = array('estado'=>'NODATA', 'mensaje'=>'No existen datos', 'status'=>200,'token'=>$token,'totalRegistros'=>"0");
                        $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(200);
                    }
                }else{
                    $data = array('estado'=>'ERROR', 'mensaje'=>$userFuncionality, 'status'=>403);
                    $payload = json_encode($data);
                        $response->getBody()->write($payload);
                        $response = $response->withStatus(403);
                }
            
                $PDO = null;
            }else{
                $data = array('estado'=>'ERROR', 'mensaje'=>(string)$conexion,'status'=>500);
                $payload = json_encode($data);
                $response->getBody()->write($payload);
                $response = $response->withStatus(200);
            }
            
        }catch(PDOException $e){
            $data = array('estado'=>'ERROR', 'mensaje'=>$e->getMessage(),'status'=>500,'token'=>$token);
            $payload = json_encode($data);
            $response->getBody()->write($payload);
            $response = $response->withStatus(200);
        }
        return $response;
    }
   
    
}
