<!DOCTYPE html>

<html lang="es">



<head>

    <meta charset="UTF-8">

    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title><?php echo $data['title']; ?></title>

    <link rel="stylesheet" href="<?php echo BASE_URL . 'assets/css/factura2.css'; ?>">

</head>



<body>



    <table id="container-producto">

        <thead>

        	  <tr>

            		<th colspan="6" class="text-center" style="background-color: white; color: #000000;border: 0px solid #3f3f3f;">

            			<table id="datos-empresa" style="border: 0px solid blue;">

				        <tr>

				            <td class="logo" style="background-color: white;">

				                <img src="<?php echo BASE_URL . 'assets/images/logo.png'; ?>" alt="" style="width: 210px; height: 170px;">

				            </td>

				            <td class="info-empresa" style="background-color: white;">

				                <p><?php echo $data['empresa']['nombre']; ?></p>

				                <p>RTU: <?php echo $data['empresa']['ruc']; ?></p>

				                <p>Teléfono: <?php echo $data['empresa']['telefono']; ?></p>

				                <p>Dirección: <?php echo $data['empresa']['direccion']; ?></p>

				            </td>

				            <td class="info-compra" style="background-color: white;">

				                <div class="container-factura">

				                    <span class="factura">Nota de Venta</span>

				                    <p>N°: <strong><?php echo $data['venta']['serie']; ?></strong></p>

				                    <p>Fecha: <?php echo $data['venta']['fecha']; ?></p>

				                    <p>Hora: <?php echo $data['venta']['hora']; ?></p>

				                </div>

				            </td>

				        </tr>

				    </table>

            			<h5 class="title">Datos del Cliente</h5>

				    <table id="container-info">

				        <tr>

				            <td style="background: rgb(93, 138, 211);">

				                <strong><?php echo $data['venta']['identidad'] ?>: </strong>

				                <p><?php echo $data['venta']['num_identidad'] ?></p>

				            </td>

				            <td style="background: rgb(93, 138, 211);">

				                <strong>Nombre: </strong>

				                <p><?php echo $data['venta']['nombre'] ?></p>

				            </td>

				        </tr>

				        <tr>

				            <td  style="background: rgb(93, 138, 211);">

				                <strong>Teléfono: </strong>

				                <p><?php echo $data['venta']['telefono'] ?></p>

				            </td>

				            <td  style="background: rgb(93, 138, 211);">

				                <strong>Dirección: </strong>

				                <p><?php echo $data['venta']['direccion'] ?></p>

				            </td>

				        </tr>

				    </table>

				    <!--<h6 class="title">Detalle de los Productos</h6>-->

            		</th>

          </tr>

            <tr>

            		<th>No.</th>

                <th>Cantidad</th>

                <th class="text-center" style="width: 2px;">Check</th>

                <th lass="text-right">Descripción</th>

                <th lass="text-right">Precio</th>

                <th lass="text-right">SubTotal</th>

            </tr>

        </thead>

        <tbody>

            <?php

            $productos = json_decode($data['venta']['productos'], true);

			//echo $productos;

            //IGV incluido

            $subTotal = $data['venta']['total'] / 1.18;

            $igv = $data['venta']['total'] - $subTotal;

            $totalSD = $data['venta']['total'] - $data['venta']['descuento'];

            $totalCD = $data['venta']['total'];



            //IGV no incluido

            // $subTotal = $data['venta']['total'];

            // $igv = $subTotal * 0.18;

            // $total = $subTotal + $igv;

			$conteo = 1;

			$item = 1;

			$valor = "";

			$estilo = '';

			$importeTotal = 0;

			$filtaTotal = '';

			/*<tr class="total">

                <td class="text-right" colspan="5">Importe Total</td>

                <td class="text-right">Q<?php echo number_format($totalCD, 2); ?></td>

          </tr>';*/

			

            foreach ($productos as $producto) {

            	if($conteo == 20){

            		$valor = "";

				$estilo = 'style="margin-top: 60px;"';

				$importeTotal = $importeTotal+(number_format($producto['cantidad'] * $producto['precio'], 2));

				$filtaTotal = '

				<tr class="total">

	                <td class="text-right" colspan="5">Importe Total</td>

	                <td class="text-right">Q'.$importeTotal.'</td>

	            </tr>';

				$conteo = 0;

            	}else{

          		$valor = "";

				//$importeTotal = 0;

				$filtaTotal = '';

				//$estilo = '';

            	} 

            	?>

                <tr <?php echo $estilo;?> >

                		<td class="text-center">

                        <?php echo $item.$valor; ?>

                    </td>

                    <td class="text-center">

                        <?php echo $producto['cantidad']; ?>

                    </td>

                    <td class="text-center">&nbsp; <input type="checkbox" name="verificar" id="verificar"></td>

                    <td class="text-center"><?php echo $producto['nombre']; ?></td>

                    <td class="text-right">Q<?php echo number_format($producto['precio'], 2); ?></td>

                    <td class="text-right">Q<?php echo number_format($producto['cantidad'] * $producto['precio'], 2); ?></td>

                </tr>

                <?php echo $filtaTotal; ?>

            <?php 

            	$conteo++;

			$item++;

			} 

			?>

            

            <tr class="total">

                <td class="text-right" colspan="5">Importe Total</td>

                <td class="text-right">Q<?php echo number_format($totalCD, 2); ?></td>

            </tr>

        </tbody>

    </table>

    <div class="mensaje">

        <h4><?php echo $data['venta']['metodo'] ?></h4>

        <?php //echo $data['empresa']['mensaje']; ?>

        <?php if ($data['venta']['estado'] == 0) { ?>

            <h1>Venta Anulado</h1>

        <?php } ?>

    </div>



</body>



</html>